--- a/GConf.spec	2024-10-22 02:20:25.897866204 +0300
+++ b/GConf.spec	2024-10-22 02:20:25.942866699 +0300
@@ -181,7 +181,7 @@
 %patch5 -p1
 
 # disable localization for gconfd
-%__subst 's,\(setlocale (.* \"\),\1C,' gconf/gconfd.c
+sed -i 's,\(setlocale (.* \"\),\1C,' gconf/gconfd.c
 
 %build
 %add_optflags %(getconf LFS_CFLAGS)
--- a/alterator-fbi.spec	2024-10-22 02:20:26.611874047 +0300
+++ b/alterator-fbi.spec	2024-10-22 02:20:26.639874354 +0300
@@ -74,15 +74,15 @@
 %makeinstall HTMLROOT=%buildroot%_var/www/ unitdir=%buildroot%_unitdir
 
 #ahttpd
-%__install -d %buildroot%_var/run/ahttpd
-%__install -d %buildroot%_logdir/ahttpd
-%__install -Dpm640 ahttpd.logrotate %buildroot/%_sysconfdir/logrotate.d/ahttpd
-%__install -Dpm644 ahttpd.conf %buildroot%_sysconfdir/ahttpd/ahttpd.conf
-%__install -Dpm644 acl.conf %buildroot%_sysconfdir/ahttpd/acl.conf
-%__install -Dpm644 openssl.cnf %buildroot%_sysconfdir/ahttpd/openssl.cnf
-%__install -Dpm755 ahttpd.init %buildroot/%_initrddir/ahttpd
-%__install -d %buildroot/%_cachedir/ahttpd
-%__install -d %buildroot/
+install -d %buildroot%_var/run/ahttpd
+install -d %buildroot%_logdir/ahttpd
+install -Dpm640 ahttpd.logrotate %buildroot/%_sysconfdir/logrotate.d/ahttpd
+install -Dpm644 ahttpd.conf %buildroot%_sysconfdir/ahttpd/ahttpd.conf
+install -Dpm644 acl.conf %buildroot%_sysconfdir/ahttpd/acl.conf
+install -Dpm644 openssl.cnf %buildroot%_sysconfdir/ahttpd/openssl.cnf
+install -Dpm755 ahttpd.init %buildroot/%_initrddir/ahttpd
+install -d %buildroot/%_cachedir/ahttpd
+install -d %buildroot/
 
 #ssl
 touch %buildroot%_sysconfdir/ahttpd/ahttpd.cnf
--- a/burp.spec	2024-10-22 02:20:27.650885459 +0300
+++ b/burp.spec	2024-10-22 02:20:27.668885657 +0300
@@ -62,7 +62,7 @@
 %makeinstall_std install-all
 install -D -p -m 0755 .gear/burp.init %buildroot%_initrddir/burp-server
 install -D -p -m 0644 .gear/burp.service %buildroot%_unitdir/burp-server.service
-%__subst "s,password,#password,g" %buildroot%_sysconfdir/burp/clientconfdir/testclient
+sed -i "s,password,#password,g" %buildroot%_sysconfdir/burp/clientconfdir/testclient
 
 %check
 if ! %make_build check; then
--- a/domoticz.spec	2024-10-22 02:20:28.731897332 +0300
+++ b/domoticz.spec	2024-10-22 02:20:28.754897585 +0300
@@ -77,7 +77,7 @@
 %patch4 -p1
 
 # Add support for future versions of Python by replacing hardcoded version with macro
-%__subst 's/-lpythonVER/-lpython%__python3_version/' CMakeLists.txt
+sed -i 's/-lpythonVER/-lpython%__python3_version/' CMakeLists.txt
 cp -p %SOURCE3 ./appversion.h
 
 %build
--- a/fonts-ttf-xorg.spec	2024-10-22 02:20:29.909910271 +0300
+++ b/fonts-ttf-xorg.spec	2024-10-22 02:20:29.932910523 +0300
@@ -33,13 +33,13 @@
 %setup -q -n font-bh-ttf-%version
 
 %install
-%__mkdir_p %buildroot%_fontsdir/TTF
-%__install -m644 *.ttf %buildroot%_fontsdir/TTF/
+mkdir -p %buildroot%_fontsdir/TTF
+install -m644 *.ttf %buildroot%_fontsdir/TTF/
 mkfontscale %buildroot%_fontsdir/TTF
 mkfontdir %buildroot%_fontsdir/TTF
 
-%__mkdir_p %buildroot%_sysconfdir/X11/fontpath.d
-%__ln_s ../../..%_fontsdir/TTF %buildroot%_sysconfdir/X11/fontpath.d/ttf-TTF:pri=50
+mkdir -p %buildroot%_sysconfdir/X11/fontpath.d
+ln -s ../../..%_fontsdir/TTF %buildroot%_sysconfdir/X11/fontpath.d/ttf-TTF:pri=50
 
 %triggerun -- %name <= 1:1.0.0-alt1
 if [ -x %_sbindir/chkfontpath -a -f %_sysconfdir/X11/fs/config ]; then
--- a/icedtea-web.spec	2024-10-22 02:20:31.353926131 +0300
+++ b/icedtea-web.spec	2024-10-22 02:20:31.371926329 +0300
@@ -214,7 +214,7 @@
 %find_lang %name --all-name --with-man
 
 install -d %buildroot%_altdir
-%__cat <<EOF >>%buildroot%_altdir/%name-javaws
+cat <<EOF >>%buildroot%_altdir/%name-javaws
 %_bindir/javaws	%_libexecdir/%name/javaws	10
 %_bindir/itweb-settings	%_libexecdir/%name/itweb-settings 10
 %_bindir/policyeditor	%_libexecdir/%name/policyeditor 10
--- a/java-17-openjdk.spec	2024-10-22 02:20:31.765930657 +0300
+++ b/java-17-openjdk.spec	2024-10-22 02:20:31.896932095 +0300
@@ -939,8 +939,8 @@
 %if_with fresh_libjvm
 tar xf %{SOURCE1}
 mkdir -p %{bootjdk}
-%__cp -af bootstrap/noarch/* %{bootjdk}
-%__cp -af bootstrap/%archinstall/* %{bootjdk}
+cp -af bootstrap/noarch/* %{bootjdk}
+cp -af bootstrap/%archinstall/* %{bootjdk}
 %endif
 
 # Rename versioning subdirectory to openjdk
--- a/lightsquid.spec	2024-10-22 02:20:39.041010563 +0300
+++ b/lightsquid.spec	2024-10-22 02:20:39.059010760 +0300
@@ -39,55 +39,55 @@
 %prep
 %setup -n %name-%version
 
-%__subst "s|/var/www/html/lightsquid/lang|%_datadir/%name/lang|g"  lightsquid.cfg
-%__subst "s|/var/www/html/lightsquid/tpl|%_datadir/%name/tpl|g" lightsquid.cfg
-%__subst "s|/var/www/html/lightsquid/ip2name|%_datadir/%name/ip2name|g" lightsquid.cfg
-%__subst "s|/var/www/html/lightsquid/report|%_localstatedir/%name|g" lightsquid.cfg
-%__subst "s|\$cfgpath             =\"/var/www/html/lightsquid|\$cfgpath             =\"%lightsquid_confdir|g" lightsquid.cfg
-%__subst "s|\$lockpath            =\$reportpath|\$lockpath            =\"%_lockdir/%name\"|g" lightsquid.cfg
-%__subst 's|require "ip2name|require "$ip2namepath|g' lightparser.pl
-%__subst "s|lightsquid.cfg|%lightsquid_confdir/lightsquid.cfg|g" *.cgi *.pl
-%__subst "s|common.pl|%_datadir/%name/common.pl|g" *.cgi *.pl
-%__subst "s|/etc/squid/users.txt|/etc/lightsquid/users.txt|g" ip2name/ip2name.*
+sed -i "s|/var/www/html/lightsquid/lang|%_datadir/%name/lang|g"  lightsquid.cfg
+sed -i "s|/var/www/html/lightsquid/tpl|%_datadir/%name/tpl|g" lightsquid.cfg
+sed -i "s|/var/www/html/lightsquid/ip2name|%_datadir/%name/ip2name|g" lightsquid.cfg
+sed -i "s|/var/www/html/lightsquid/report|%_localstatedir/%name|g" lightsquid.cfg
+sed -i "s|\$cfgpath             =\"/var/www/html/lightsquid|\$cfgpath             =\"%lightsquid_confdir|g" lightsquid.cfg
+sed -i "s|\$lockpath            =\$reportpath|\$lockpath            =\"%_lockdir/%name\"|g" lightsquid.cfg
+sed -i 's|require "ip2name|require "$ip2namepath|g' lightparser.pl
+sed -i "s|lightsquid.cfg|%lightsquid_confdir/lightsquid.cfg|g" *.cgi *.pl
+sed -i "s|common.pl|%_datadir/%name/common.pl|g" *.cgi *.pl
+sed -i "s|/etc/squid/users.txt|/etc/lightsquid/users.txt|g" ip2name/ip2name.*
 
 iconv -f WINDOWS-1251 -t UTF8 lang/ru.lng > lang/ru-utf8.lng
-%__subst "s|windows-1251|utf8|g" lang/ru-utf8.lng
+sed -i "s|windows-1251|utf8|g" lang/ru-utf8.lng
 
 	
 %install
-%__mkdir_p %buildroot%_sbindir
-%__mkdir_p %buildroot%lightsquid_confdir
-%__mkdir_p %buildroot%_sysconfdir/cron.d
-%__mkdir_p %buildroot%_datadir/%name/{lang,ip2name,tpl}
-%__mkdir_p %buildroot%_localstatedir/%name
-%__mkdir_p %buildroot%lightdir
-%__mkdir_p %buildroot%_lockdir/%name
+mkdir -p %buildroot%_sbindir
+mkdir -p %buildroot%lightsquid_confdir
+mkdir -p %buildroot%_sysconfdir/cron.d
+mkdir -p %buildroot%_datadir/%name/{lang,ip2name,tpl}
+mkdir -p %buildroot%_localstatedir/%name
+mkdir -p %buildroot%lightdir
+mkdir -p %buildroot%_lockdir/%name
 
 # install bin
-%__install -p -m 755 lightparser.pl %buildroot%_sbindir/
+install -p -m 755 lightparser.pl %buildroot%_sbindir/
 
 # install configs
-%__install -p -m 644 lightsquid.cfg %buildroot%lightsquid_confdir/lightsquid.cfg
-%__install -p -m 644 group.cfg.src %buildroot%lightsquid_confdir/group.cfg
-%__install -p -m 644 realname.cfg %buildroot%lightsquid_confdir/realname.cfg
+install -p -m 644 lightsquid.cfg %buildroot%lightsquid_confdir/lightsquid.cfg
+install -p -m 644 group.cfg.src %buildroot%lightsquid_confdir/group.cfg
+install -p -m 644 realname.cfg %buildroot%lightsquid_confdir/realname.cfg
 
 # install cron
-%__cat << EOF > %buildroot%_sysconfdir/cron.d/lightsquid
+cat << EOF > %buildroot%_sysconfdir/cron.d/lightsquid
 55 * * * *     lightsquid /usr/sbin/lightparser.pl today
 EOF
 
 
 # install lib
-%__install -p -m 644 common.pl %buildroot%_datadir/%name/
-%__install -p -m 755 check-setup.pl %buildroot%_datadir/%name/
-%__install -p -m 644 lang/[^A-Z]*.lng %buildroot%_datadir/%name/lang/
-%__install -p -m 644 ip2name/[^A-Z]* %buildroot%_datadir/%name/ip2name/
-%__cp -aRf tpl/[^A-Z]* %buildroot%_datadir/%name/tpl/
-##%__install -p -m 644 tpl/[^A-Z]* %buildroot%_datadir/%name/tpl/
+install -p -m 644 common.pl %buildroot%_datadir/%name/
+install -p -m 755 check-setup.pl %buildroot%_datadir/%name/
+install -p -m 644 lang/[^A-Z]*.lng %buildroot%_datadir/%name/lang/
+install -p -m 644 ip2name/[^A-Z]* %buildroot%_datadir/%name/ip2name/
+cp -aRf tpl/[^A-Z]* %buildroot%_datadir/%name/tpl/
+##install -p -m 644 tpl/[^A-Z]* %buildroot%_datadir/%name/tpl/
 
 # install web
-#%__install -p -m 644 .htaccess %buildroot%apache_home/%name/
-%__install -p -m 755 [^A-Z]*.cgi %buildroot%apache_home/%name/
+#install -p -m 644 .htaccess %buildroot%apache_home/%name/
+install -p -m 755 [^A-Z]*.cgi %buildroot%apache_home/%name/
 
 %pre
 /usr/sbin/groupadd -r -f %name &> /dev/null ||:
--- a/mknfsroot.spec	2024-10-22 02:20:39.712017933 +0300
+++ b/mknfsroot.spec	2024-10-22 02:20:39.729018120 +0300
@@ -26,12 +26,12 @@
 %setup
 
 %install
-%__install -d %buildroot/%_localstatedir/%name
+install -d %buildroot/%_localstatedir/%name
 for i in scripts/* ;do
-%__install -Dpm 755 $i %buildroot/%_sbindir/`basename $i`
+install -Dpm 755 $i %buildroot/%_sbindir/`basename $i`
 done
 
-%__install -d %buildroot/%_sysconfdir/%name
+install -d %buildroot/%_sysconfdir/%name
 cp -a etc/* %buildroot/%_sysconfdir/%name
 
 %pre
--- a/nvidia_glx_common.spec	2024-10-22 02:20:40.961031651 +0300
+++ b/nvidia_glx_common.spec	2024-10-22 02:20:40.986031926 +0300
@@ -178,29 +178,29 @@
 
 
 %install
-%__mkdir_p %buildroot/%module_local_dir
-%__mkdir_p %buildroot/sbin
-%__mkdir_p %buildroot/%_sbindir
-%__mkdir_p %buildroot/%tls_lib_dir
-%__mkdir_p %buildroot/%nv_lib_dir
-%__mkdir_p %buildroot/%x11_mod_dir
-#%__mkdir_p %buildroot/%x11_mod_old
-%__mkdir_p %buildroot/%x11_drv_dir
-#%__mkdir_p %buildroot/%x11_drv_old
-%__mkdir_p %buildroot/%x11_ext_dir
-#%__mkdir_p %buildroot/%x11_ext_old
-%__mkdir_p %buildroot/%x_etclib_sym_dir
-%__mkdir_p %buildroot/%nv_etclib_sym_dir
-%__mkdir_p %buildroot/%nv_lib32_sym_dir
-%__mkdir_p %buildroot/%xdrv_d
-#%__mkdir_p %buildroot/%xdrv_d_old
-%__mkdir_p %buildroot/%xdrv_pre_d
-%__mkdir_p %buildroot/%xinf_dir
-%__mkdir_p %buildroot/%nv_workdirdir
-%__mkdir_p %buildroot/%_datadir/nvidia
-%__mkdir_p %buildroot/%x11_lib_dir/vdpau
-%__mkdir_p %buildroot/%x11_lib_dir/gbm
-#%__mkdir_p %buildroot/lib/firmware/nvidia
+mkdir -p %buildroot/%module_local_dir
+mkdir -p %buildroot/sbin
+mkdir -p %buildroot/%_sbindir
+mkdir -p %buildroot/%tls_lib_dir
+mkdir -p %buildroot/%nv_lib_dir
+mkdir -p %buildroot/%x11_mod_dir
+#mkdir -p %buildroot/%x11_mod_old
+mkdir -p %buildroot/%x11_drv_dir
+#mkdir -p %buildroot/%x11_drv_old
+mkdir -p %buildroot/%x11_ext_dir
+#mkdir -p %buildroot/%x11_ext_old
+mkdir -p %buildroot/%x_etclib_sym_dir
+mkdir -p %buildroot/%nv_etclib_sym_dir
+mkdir -p %buildroot/%nv_lib32_sym_dir
+mkdir -p %buildroot/%xdrv_d
+#mkdir -p %buildroot/%xdrv_d_old
+mkdir -p %buildroot/%xdrv_pre_d
+mkdir -p %buildroot/%xinf_dir
+mkdir -p %buildroot/%nv_workdirdir
+mkdir -p %buildroot/%_datadir/nvidia
+mkdir -p %buildroot/%x11_lib_dir/vdpau
+mkdir -p %buildroot/%x11_lib_dir/gbm
+#mkdir -p %buildroot/lib/firmware/nvidia
 
 # prompt user to don't use nvidia-installer
 mkdir -p %buildroot/usr/lib/nvidia/
@@ -210,35 +210,35 @@
 install -m 0755 %SOURCE3 %buildroot/%_bindir/
 install -m 0755 %SOURCE4 %buildroot/%_bindir/
 
-%__install -m 0755 set_gl_nvidia/nvidia %buildroot/%xdrv_d/nvidia
-#%__ln_s ../../../..%xdrv_d/nvidia %buildroot/%xdrv_d_old/nvidia
-%__install -m 0755 set_gl_nvidia/nvidia_preset %buildroot/%xdrv_pre_d/nvidia
-%__install -m 0755 device-create/ub-device-create %buildroot/sbin/ub-device-create
-%__install -m 0644 libnvidianull.so %buildroot/%x11_lib_dir/
-
-%__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libvdpau_nvidia.so
-%__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libnvidia-cfg.so.1
-%__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libEGL_nvidia.so.0
-%__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libGLESv2_nvidia.so.2
-%__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libGLESv1_CM_nvidia.so.1
-%__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libGLX_nvidia.so.0
-%__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libnvidia-allocator.so.1
-%__ln_s `relative %x11driver_dir %_sysconfdir/libnvidiacurrent` %buildroot/%_sysconfdir/libnvidiacurrent
-%__ln_s `relative %_sysconfdir/libnvidiacurrent %nv_etclib_sym_dir/current` %buildroot/%nv_etclib_sym_dir/current
+install -m 0755 set_gl_nvidia/nvidia %buildroot/%xdrv_d/nvidia
+#ln -s ../../../..%xdrv_d/nvidia %buildroot/%xdrv_d_old/nvidia
+install -m 0755 set_gl_nvidia/nvidia_preset %buildroot/%xdrv_pre_d/nvidia
+install -m 0755 device-create/ub-device-create %buildroot/sbin/ub-device-create
+install -m 0644 libnvidianull.so %buildroot/%x11_lib_dir/
+
+ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libvdpau_nvidia.so
+ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libnvidia-cfg.so.1
+ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libEGL_nvidia.so.0
+ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libGLESv2_nvidia.so.2
+ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libGLESv1_CM_nvidia.so.1
+ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libGLX_nvidia.so.0
+ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libnvidia-allocator.so.1
+ln -s `relative %x11driver_dir %_sysconfdir/libnvidiacurrent` %buildroot/%_sysconfdir/libnvidiacurrent
+ln -s `relative %_sysconfdir/libnvidiacurrent %nv_etclib_sym_dir/current` %buildroot/%nv_etclib_sym_dir/current
 %if "%_lib" == "lib64"
-%__ln_s `relative %x11driver_dir %_sysconfdir/libnvidia32current` %buildroot/%_sysconfdir/libnvidia32current
-%__ln_s `relative %_sysconfdir/libnvidia32current %nv_lib32_sym_dir/current` %buildroot/%nv_lib32_sym_dir/current
+ln -s `relative %x11driver_dir %_sysconfdir/libnvidia32current` %buildroot/%_sysconfdir/libnvidia32current
+ln -s `relative %_sysconfdir/libnvidia32current %nv_lib32_sym_dir/current` %buildroot/%nv_lib32_sym_dir/current
 %endif
 
-%__ln_s ../../..%nv_etclib_sym_dir/libvdpau_nvidia.so %buildroot/%x11_lib_dir/vdpau/libvdpau_nvidia.so
-%__ln_s libvdpau_nvidia.so %buildroot/%x11_lib_dir/vdpau/libvdpau_nvidia.so.1
-%__ln_s ../..%nv_etclib_sym_dir/libnvidia-cfg.so.1 %buildroot/%x11_lib_dir/libnvidia-cfg.so.1
-%__ln_s ../..%nv_etclib_sym_dir/libEGL_nvidia.so.0 %buildroot/%x11_lib_dir/libEGL_nvidia.so.0
-%__ln_s ../..%nv_etclib_sym_dir/libGLESv2_nvidia.so.2 %buildroot/%x11_lib_dir/libGLESv2_nvidia.so.2
-%__ln_s ../..%nv_etclib_sym_dir/libGLESv1_CM_nvidia.so.1 %buildroot/%x11_lib_dir/libGLESv1_CM_nvidia.so.1
-%__ln_s ../..%nv_etclib_sym_dir/libGLX_nvidia.so.0 %buildroot/%x11_lib_dir/libGLX_nvidia.so.0
-%__ln_s ../..%nv_etclib_sym_dir/libnvidia-allocator.so.1 %buildroot/%x11_lib_dir/libnvidia-allocator.so.1
-%__ln_s ../libnvidia-allocator.so.1 %buildroot/%x11_lib_dir/gbm/nvidia-drm_gbm.so
+ln -s ../../..%nv_etclib_sym_dir/libvdpau_nvidia.so %buildroot/%x11_lib_dir/vdpau/libvdpau_nvidia.so
+ln -s libvdpau_nvidia.so %buildroot/%x11_lib_dir/vdpau/libvdpau_nvidia.so.1
+ln -s ../..%nv_etclib_sym_dir/libnvidia-cfg.so.1 %buildroot/%x11_lib_dir/libnvidia-cfg.so.1
+ln -s ../..%nv_etclib_sym_dir/libEGL_nvidia.so.0 %buildroot/%x11_lib_dir/libEGL_nvidia.so.0
+ln -s ../..%nv_etclib_sym_dir/libGLESv2_nvidia.so.2 %buildroot/%x11_lib_dir/libGLESv2_nvidia.so.2
+ln -s ../..%nv_etclib_sym_dir/libGLESv1_CM_nvidia.so.1 %buildroot/%x11_lib_dir/libGLESv1_CM_nvidia.so.1
+ln -s ../..%nv_etclib_sym_dir/libGLX_nvidia.so.0 %buildroot/%x11_lib_dir/libGLX_nvidia.so.0
+ln -s ../..%nv_etclib_sym_dir/libnvidia-allocator.so.1 %buildroot/%x11_lib_dir/libnvidia-allocator.so.1
+ln -s ../libnvidia-allocator.so.1 %buildroot/%x11_lib_dir/gbm/nvidia-drm_gbm.so
 
 mkdir -p %buildroot/%_datadir/vulkan/icd.d/
 ln -s /dev/null %buildroot/%nv_etclib_sym_dir/nvidia_icd.json
@@ -249,15 +249,15 @@
 
 # nvidia_drv.o
 if false ; then
-    %__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/nvidia_drv.o
-    %__ln_s ../../../../..%nv_etclib_sym_dir/nvidia_drv.o %buildroot/%x11_drv_dir/nvidia_drv.o
-    #%__ln_s ../../../../..%nv_etclib_sym_dir/nvidia_drv.o %buildroot/%x11_drv_old/nvidia_drv.o
+    ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/nvidia_drv.o
+    ln -s ../../../../..%nv_etclib_sym_dir/nvidia_drv.o %buildroot/%x11_drv_dir/nvidia_drv.o
+    #ln -s ../../../../..%nv_etclib_sym_dir/nvidia_drv.o %buildroot/%x11_drv_old/nvidia_drv.o
 fi
 # nvidia_drv.so
 if true ; then
-    %__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/nvidia_drv.so
-    %__ln_s ../../../../..%nv_etclib_sym_dir/nvidia_drv.so %buildroot/%x11_drv_dir/nvidia_drv.so
-    #%__ln_s ../../../../..%nv_etclib_sym_dir/nvidia_drv.so %buildroot/%x11_drv_old/nvidia_drv.so
+    ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/nvidia_drv.so
+    ln -s ../../../../..%nv_etclib_sym_dir/nvidia_drv.so %buildroot/%x11_drv_dir/nvidia_drv.so
+    #ln -s ../../../../..%nv_etclib_sym_dir/nvidia_drv.so %buildroot/%x11_drv_old/nvidia_drv.so
 fi
 
 
--- a/nvidia_glx_src.spec	2024-10-22 02:20:41.050032629 +0300
+++ b/nvidia_glx_src.spec	2024-10-22 02:20:41.077032926 +0300
@@ -212,83 +212,83 @@
     readelf -a $1| grep SONAME| sed 's/.*\[//'| sed 's/\].*//'
 }
 
-%__mkdir_p %buildroot/%_sbindir
-%__mkdir_p %buildroot/%tls_lib_dir
-%__mkdir_p %buildroot/%nv_lib_dir
-%__mkdir_p %buildroot/%x11_mod_dir
-#%__mkdir_p %buildroot/%x11_mod_old
-%__mkdir_p %buildroot/%x11_drv_dir
-#%__mkdir_p %buildroot/%x11_drv_old
-%__mkdir_p %buildroot/%x11_ext_dir
-#%__mkdir_p %buildroot/%x11_ext_old
-%__mkdir_p %buildroot/%lib_sym_dir
-%__mkdir_p %buildroot/%nv_lib_sym_dir
-%__mkdir_p %buildroot/%nv_lib32_sym_dir
-%__mkdir_p %buildroot/%xdrv_d
-#%__mkdir_p %buildroot/%xdrv_d_old
-%__mkdir_p %buildroot/%xdrv_pre_d
-%__mkdir_p %buildroot/%xinf_dir
-%__mkdir_p %buildroot/%nv_workdirdir
-%__mkdir_p %buildroot/%_datadir/nvidia/
+mkdir -p %buildroot/%_sbindir
+mkdir -p %buildroot/%tls_lib_dir
+mkdir -p %buildroot/%nv_lib_dir
+mkdir -p %buildroot/%x11_mod_dir
+#mkdir -p %buildroot/%x11_mod_old
+mkdir -p %buildroot/%x11_drv_dir
+#mkdir -p %buildroot/%x11_drv_old
+mkdir -p %buildroot/%x11_ext_dir
+#mkdir -p %buildroot/%x11_ext_old
+mkdir -p %buildroot/%lib_sym_dir
+mkdir -p %buildroot/%nv_lib_sym_dir
+mkdir -p %buildroot/%nv_lib32_sym_dir
+mkdir -p %buildroot/%xdrv_d
+#mkdir -p %buildroot/%xdrv_d_old
+mkdir -p %buildroot/%xdrv_pre_d
+mkdir -p %buildroot/%xinf_dir
+mkdir -p %buildroot/%nv_workdirdir
+mkdir -p %buildroot/%_datadir/nvidia/
 
 
 # install libraries
-%__install -m 0644 libnvidia-glcore.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 libnvidia-eglcore.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 libnvidia-glsi.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 tls/libnvidia-tls.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 libnvidia-compiler.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 libnvidia-fatbinaryloader.so.%tbver %buildroot/%_libdir/
+install -m 0644 libnvidia-glcore.so.%tbver %buildroot/%_libdir/
+install -m 0644 libnvidia-eglcore.so.%tbver %buildroot/%_libdir/
+install -m 0644 libnvidia-glsi.so.%tbver %buildroot/%_libdir/
+install -m 0644 tls/libnvidia-tls.so.%tbver %buildroot/%_libdir/
+install -m 0644 libnvidia-compiler.so.%tbver %buildroot/%_libdir/
+install -m 0644 libnvidia-fatbinaryloader.so.%tbver %buildroot/%_libdir/
 #
 %if_enabled package_egl_wayland
-%__install -m 0644 libnvidia-egl-wayland.so.%nvidia_egl_wayland_libver %buildroot/%_libdir/
+install -m 0644 libnvidia-egl-wayland.so.%nvidia_egl_wayland_libver %buildroot/%_libdir/
 #ln -s libnvidia-egl-wayland.so.%nvidia_egl_wayland_libver %buildroot/%_libdir/libnvidia-egl-wayland.so.%nvidia_egl_wayland_sover
 %endif
 
-%__ln_s %nv_lib_dir/nvidia.xinf %buildroot/%nv_lib_sym_dir/nvidia.xinf
-%__ln_s %nv_lib_dir/nvidia.xinf %buildroot/%xinf_dir/nvidia-%version.xinf
-%__install -m 0644 %SOURCE2 %buildroot/%nv_lib_dir/nvidia.xinf
+ln -s %nv_lib_dir/nvidia.xinf %buildroot/%nv_lib_sym_dir/nvidia.xinf
+ln -s %nv_lib_dir/nvidia.xinf %buildroot/%xinf_dir/nvidia-%version.xinf
+install -m 0644 %SOURCE2 %buildroot/%nv_lib_dir/nvidia.xinf
 
 if [ -f nvidia_drv.o ] ; then
-    %__install -m 0644 nvidia_drv.o  %buildroot/%nv_lib_dir/
+    install -m 0644 nvidia_drv.o  %buildroot/%nv_lib_dir/
 fi
 if [ -f nvidia_drv.so ] ; then
-    %__install -m 0644 nvidia_drv.so %buildroot/%nv_lib_dir/
+    install -m 0644 nvidia_drv.so %buildroot/%nv_lib_dir/
 fi
 
 %if_enabled package_wfb
 [ -f libnvidia-wfb.so.%tbver ] && \
-%__install -m 0644 libnvidia-wfb.so.%tbver %buildroot/%nv_lib_dir/libwfb.so
+install -m 0644 libnvidia-wfb.so.%tbver %buildroot/%nv_lib_dir/libwfb.so
 %endif
 
-%__install -m 0644 libglx.so.%tbver %buildroot/%nv_lib_dir/libglx.so
-%__ln_s libglx.so %buildroot/%nv_lib_dir/libglx.a
+install -m 0644 libglx.so.%tbver %buildroot/%nv_lib_dir/libglx.so
+ln -s libglx.so %buildroot/%nv_lib_dir/libglx.a
 
-%__install -m 0644 libGLdispatch.so.0  %buildroot/%nv_lib_dir/libGLdispatch.so
+install -m 0644 libGLdispatch.so.0  %buildroot/%nv_lib_dir/libGLdispatch.so
 #
 %if_enabled glvnd
-%__install -m 0644 libGL.so.%gl_libver  %buildroot/%nv_lib_dir/libGL.so
-%__install -m 0644 libEGL.so.%egl_libver  %buildroot/%nv_lib_dir/libEGL.so
+install -m 0644 libGL.so.%gl_libver  %buildroot/%nv_lib_dir/libGL.so
+install -m 0644 libEGL.so.%egl_libver  %buildroot/%nv_lib_dir/libEGL.so
 %else
-%__install -m 0644 libGL.so.%tbver  %buildroot/%nv_lib_dir/libGL.so
-%__install -m 0644 libEGL.so.%tbver  %buildroot/%nv_lib_dir/libEGL.so
+install -m 0644 libGL.so.%tbver  %buildroot/%nv_lib_dir/libGL.so
+install -m 0644 libEGL.so.%tbver  %buildroot/%nv_lib_dir/libEGL.so
 %endif
 #
-%__install -m 0644 libEGL_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libEGL_nvidia.so
-%__install -m 0644 libGLESv2.so.2.1.0  %buildroot/%nv_lib_dir/libGLESv2.so
-%__install -m 0644 libGLESv2_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv2_nvidia.so
-%__install -m 0644 libGLESv1_CM.so.1.2.0  %buildroot/%nv_lib_dir/libGLESv1_CM.so
-%__install -m 0644 libGLESv1_CM_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv1_CM_nvidia.so
-%__install -m 0644 libGLX.so.0  %buildroot/%nv_lib_dir/libGLX.so
-%__install -m 0644 libGLX_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libGLX_nvidia.so
+install -m 0644 libEGL_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libEGL_nvidia.so
+install -m 0644 libGLESv2.so.2.1.0  %buildroot/%nv_lib_dir/libGLESv2.so
+install -m 0644 libGLESv2_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv2_nvidia.so
+install -m 0644 libGLESv1_CM.so.1.2.0  %buildroot/%nv_lib_dir/libGLESv1_CM.so
+install -m 0644 libGLESv1_CM_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv1_CM_nvidia.so
+install -m 0644 libGLX.so.0  %buildroot/%nv_lib_dir/libGLX.so
+install -m 0644 libGLX_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libGLX_nvidia.so
 
-%__install -m 0644 libvdpau_nvidia.so.%tbver %buildroot/%nv_lib_dir/libvdpau_nvidia.so
-%__install -m 0644 libnvidia-cfg.so.%tbver %buildroot/%nv_lib_dir/libnvidia-cfg.so
+install -m 0644 libvdpau_nvidia.so.%tbver %buildroot/%nv_lib_dir/libvdpau_nvidia.so
+install -m 0644 libnvidia-cfg.so.%tbver %buildroot/%nv_lib_dir/libnvidia-cfg.so
 /sbin/ldconfig -n %buildroot/%nv_lib_dir
 
-%__install -m 0644 nvidia-application-profiles-%version-rc \
+install -m 0644 nvidia-application-profiles-%version-rc \
     %buildroot/%_datadir/nvidia/nvidia-application-profiles-%version-rc
-%__install -m 0644 nvidia-application-profiles-%version-key-documentation \
+install -m 0644 nvidia-application-profiles-%version-key-documentation \
     %buildroot/%_datadir/nvidia/nvidia-application-profiles-%version-key-documentation
 
 mkdir -p %buildroot/%_datadir/glvnd/egl_vendor.d/
@@ -304,10 +304,10 @@
 %endif
 
 # kernel-source install
-%__rm -rf kernel-source-%module_name-%module_version/
-%__mkdir_p %buildroot/%_usrsrc/kernel/sources/ kernel-source-%module_name-%module_version/
-%__cp -ar kernel/* kernel-source-%module_name-%module_version/
-%__cp LICENSE kernel-source-%module_name-%module_version/
+rm -rf kernel-source-%module_name-%module_version/
+mkdir -p %buildroot/%_usrsrc/kernel/sources/ kernel-source-%module_name-%module_version/
+cp -ar kernel/* kernel-source-%module_name-%module_version/
+cp LICENSE kernel-source-%module_name-%module_version/
 tar -c kernel-source-%module_name-%module_version | bzip2 -c > \
     %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
 
--- a/nvidia_glx_src.spec	2024-10-22 02:20:41.137033585 +0300
+++ b/nvidia_glx_src.spec	2024-10-22 02:20:41.165033892 +0300
@@ -208,39 +208,39 @@
     readelf -a $1| grep SONAME| sed 's/.*\[//'| sed 's/\].*//'
 }
 
-%__mkdir_p %buildroot/%_sbindir
-%__mkdir_p %buildroot/%tls_lib_dir
-%__mkdir_p %buildroot/%nv_lib_dir
-%__mkdir_p %buildroot/%x11_mod_dir
-#%__mkdir_p %buildroot/%x11_mod_old
-%__mkdir_p %buildroot/%x11_drv_dir
-#%__mkdir_p %buildroot/%x11_drv_old
-%__mkdir_p %buildroot/%x11_ext_dir
-#%__mkdir_p %buildroot/%x11_ext_old
-%__mkdir_p %buildroot/%lib_sym_dir
-%__mkdir_p %buildroot/%nv_lib_sym_dir
-%__mkdir_p %buildroot/%nv_lib32_sym_dir
-%__mkdir_p %buildroot/%xdrv_d
-#%__mkdir_p %buildroot/%xdrv_d_old
-%__mkdir_p %buildroot/%xdrv_pre_d
-%__mkdir_p %buildroot/%xinf_dir
-%__mkdir_p %buildroot/%nv_workdirdir
-%__mkdir_p %buildroot/%_datadir/nvidia/
+mkdir -p %buildroot/%_sbindir
+mkdir -p %buildroot/%tls_lib_dir
+mkdir -p %buildroot/%nv_lib_dir
+mkdir -p %buildroot/%x11_mod_dir
+#mkdir -p %buildroot/%x11_mod_old
+mkdir -p %buildroot/%x11_drv_dir
+#mkdir -p %buildroot/%x11_drv_old
+mkdir -p %buildroot/%x11_ext_dir
+#mkdir -p %buildroot/%x11_ext_old
+mkdir -p %buildroot/%lib_sym_dir
+mkdir -p %buildroot/%nv_lib_sym_dir
+mkdir -p %buildroot/%nv_lib32_sym_dir
+mkdir -p %buildroot/%xdrv_d
+#mkdir -p %buildroot/%xdrv_d_old
+mkdir -p %buildroot/%xdrv_pre_d
+mkdir -p %buildroot/%xinf_dir
+mkdir -p %buildroot/%nv_workdirdir
+mkdir -p %buildroot/%_datadir/nvidia/
 
 
 # install libraries
-%__install -m 0644 %subd/libnvidia-glvkspirv.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-glcore.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-eglcore.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-glsi.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-tls.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-glvkspirv.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-glcore.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-eglcore.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-glsi.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-tls.so.%tbver %buildroot/%_libdir/
 %ifnarch aarch64
-%__install -m 0644 %subd/libnvidia-compiler.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-compiler.so.%tbver %buildroot/%_libdir/
 %endif
 %ifnarch %ix86 armh
-%__install -m 0644 %subd/libnvidia-cbl.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-rtcore.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-vulkan-producer.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-cbl.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-rtcore.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-vulkan-producer.so.%tbver %buildroot/%_libdir/
 %endif
 #
 
@@ -249,50 +249,50 @@
 ln -sr %buildroot/%nv_lib_dir/nvidia.xinf %buildroot/%xinf_dir/nvidia-%version.xinf
 
 %ifarch x86_64 aarch64
-%__install -m 0644 %subd/nvidia_drv.so %buildroot/%nv_lib_dir/
+install -m 0644 %subd/nvidia_drv.so %buildroot/%nv_lib_dir/
 %endif
 
 %if_enabled package_wfb
 [ -f %subd/libnvidia-wfb.so.%tbver ] && \
-%__install -m 0644 %subd/libnvidia-wfb.so.%tbver %buildroot/%nv_lib_dir/libwfb.so
+install -m 0644 %subd/libnvidia-wfb.so.%tbver %buildroot/%nv_lib_dir/libwfb.so
 %endif
 
 %ifarch x86_64 aarch64
-%__install -m 0644 %subd/libglxserver_nvidia.so.%tbver %buildroot/%nv_lib_dir/libglxserver_nvidia.so
+install -m 0644 %subd/libglxserver_nvidia.so.%tbver %buildroot/%nv_lib_dir/libglxserver_nvidia.so
 %endif
 
-%__install -m 0644 %subd/libGLdispatch.so.0  %buildroot/%nv_lib_dir/libGLdispatch.so
+install -m 0644 %subd/libGLdispatch.so.0  %buildroot/%nv_lib_dir/libGLdispatch.so
 #
 %if_enabled glvnd
-%__install -m 0644 %subd/libGL.so.%gl_libver  %buildroot/%nv_lib_dir/libGL.so
-%__install -m 0644 %subd/libEGL.so.%egl_libver  %buildroot/%nv_lib_dir/libEGL.so
+install -m 0644 %subd/libGL.so.%gl_libver  %buildroot/%nv_lib_dir/libGL.so
+install -m 0644 %subd/libEGL.so.%egl_libver  %buildroot/%nv_lib_dir/libEGL.so
 %else
-%__install -m 0644 %subd/libGL.so.%tbver  %buildroot/%nv_lib_dir/libGL.so
-%__install -m 0644 %subd/libEGL.so.%tbver  %buildroot/%nv_lib_dir/libEGL.so
+install -m 0644 %subd/libGL.so.%tbver  %buildroot/%nv_lib_dir/libGL.so
+install -m 0644 %subd/libEGL.so.%tbver  %buildroot/%nv_lib_dir/libEGL.so
 %endif
 #
-%__install -m 0644 %subd/libEGL_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libEGL_nvidia.so
+install -m 0644 %subd/libEGL_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libEGL_nvidia.so
 ln -sr %buildroot/%nv_lib_dir/libEGL_nvidia.so %buildroot/%_libdir/libEGL_nvidia.so.0
-%__install -m 0644 %subd/libGLESv2.so.2.1.0  %buildroot/%nv_lib_dir/libGLESv2.so
-%__install -m 0644 %subd/libGLESv2_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv2_nvidia.so
-%__install -m 0644 %subd/libGLESv1_CM.so.1.2.0  %buildroot/%nv_lib_dir/libGLESv1_CM.so
-%__install -m 0644 %subd/libGLESv1_CM_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv1_CM_nvidia.so
-%__install -m 0644 %subd/libGLX.so.0  %buildroot/%nv_lib_dir/libGLX.so
-%__install -m 0644 %subd/libGLX_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libGLX_nvidia.so
-%__install -m 0644 %subd/libnvidia-allocator.so.%tbver    %buildroot/%nv_lib_dir/libnvidia-allocator.so
+install -m 0644 %subd/libGLESv2.so.2.1.0  %buildroot/%nv_lib_dir/libGLESv2.so
+install -m 0644 %subd/libGLESv2_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv2_nvidia.so
+install -m 0644 %subd/libGLESv1_CM.so.1.2.0  %buildroot/%nv_lib_dir/libGLESv1_CM.so
+install -m 0644 %subd/libGLESv1_CM_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv1_CM_nvidia.so
+install -m 0644 %subd/libGLX.so.0  %buildroot/%nv_lib_dir/libGLX.so
+install -m 0644 %subd/libGLX_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libGLX_nvidia.so
+install -m 0644 %subd/libnvidia-allocator.so.%tbver    %buildroot/%nv_lib_dir/libnvidia-allocator.so
 %ifnarch %ix86 armh
 ln -sr %buildroot/%_libdir/libnvidia-vulkan-producer.so.%tbver %buildroot/%nv_lib_dir/libnvidia-vulkan-producer.so
 %endif
 
-%__install -m 0644 %subd/libvdpau_nvidia.so.%tbver %buildroot/%nv_lib_dir/libvdpau_nvidia.so
+install -m 0644 %subd/libvdpau_nvidia.so.%tbver %buildroot/%nv_lib_dir/libvdpau_nvidia.so
 %ifarch x86_64 aarch64
-%__install -m 0644 %subd/libnvidia-cfg.so.%tbver %buildroot/%nv_lib_dir/libnvidia-cfg.so
+install -m 0644 %subd/libnvidia-cfg.so.%tbver %buildroot/%nv_lib_dir/libnvidia-cfg.so
 %endif
 /sbin/ldconfig -n %buildroot/%nv_lib_dir
 
-%__install -m 0644 nvidia-application-profiles-%version-rc \
+install -m 0644 nvidia-application-profiles-%version-rc \
     %buildroot/%_datadir/nvidia/nvidia-application-profiles-%version-rc
-%__install -m 0644 nvidia-application-profiles-%version-key-documentation \
+install -m 0644 nvidia-application-profiles-%version-key-documentation \
     %buildroot/%_datadir/nvidia/nvidia-application-profiles-%version-key-documentation
 
 mkdir -p %buildroot/%_datadir/glvnd/egl_vendor.d/
@@ -313,10 +313,10 @@
 
 %if_enabled kernelsource
 # kernel-source install
-%__rm -rf kernel-source-%module_name-%module_version/
-%__mkdir_p %buildroot/%_usrsrc/kernel/sources/ kernel-source-%module_name-%module_version/
-%__cp -ar kernel/* kernel-source-%module_name-%module_version/
-%__cp LICENSE kernel-source-%module_name-%module_version/
+rm -rf kernel-source-%module_name-%module_version/
+mkdir -p %buildroot/%_usrsrc/kernel/sources/ kernel-source-%module_name-%module_version/
+cp -ar kernel/* kernel-source-%module_name-%module_version/
+cp LICENSE kernel-source-%module_name-%module_version/
 tar -c kernel-source-%module_name-%module_version | bzip2 -c > \
     %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
 %endif
--- a/nvidia_glx_src.spec	2024-10-22 02:20:41.214034430 +0300
+++ b/nvidia_glx_src.spec	2024-10-22 02:20:41.241034727 +0300
@@ -208,39 +208,39 @@
     readelf -a $1| grep SONAME| sed 's/.*\[//'| sed 's/\].*//'
 }
 
-%__mkdir_p %buildroot/%_sbindir
-%__mkdir_p %buildroot/%tls_lib_dir
-%__mkdir_p %buildroot/%nv_lib_dir
-%__mkdir_p %buildroot/%x11_mod_dir
-#%__mkdir_p %buildroot/%x11_mod_old
-%__mkdir_p %buildroot/%x11_drv_dir
-#%__mkdir_p %buildroot/%x11_drv_old
-%__mkdir_p %buildroot/%x11_ext_dir
-#%__mkdir_p %buildroot/%x11_ext_old
-%__mkdir_p %buildroot/%lib_sym_dir
-%__mkdir_p %buildroot/%nv_lib_sym_dir
-%__mkdir_p %buildroot/%nv_lib32_sym_dir
-%__mkdir_p %buildroot/%xdrv_d
-#%__mkdir_p %buildroot/%xdrv_d_old
-%__mkdir_p %buildroot/%xdrv_pre_d
-%__mkdir_p %buildroot/%xinf_dir
-%__mkdir_p %buildroot/%nv_workdirdir
-%__mkdir_p %buildroot/%_datadir/nvidia/
+mkdir -p %buildroot/%_sbindir
+mkdir -p %buildroot/%tls_lib_dir
+mkdir -p %buildroot/%nv_lib_dir
+mkdir -p %buildroot/%x11_mod_dir
+#mkdir -p %buildroot/%x11_mod_old
+mkdir -p %buildroot/%x11_drv_dir
+#mkdir -p %buildroot/%x11_drv_old
+mkdir -p %buildroot/%x11_ext_dir
+#mkdir -p %buildroot/%x11_ext_old
+mkdir -p %buildroot/%lib_sym_dir
+mkdir -p %buildroot/%nv_lib_sym_dir
+mkdir -p %buildroot/%nv_lib32_sym_dir
+mkdir -p %buildroot/%xdrv_d
+#mkdir -p %buildroot/%xdrv_d_old
+mkdir -p %buildroot/%xdrv_pre_d
+mkdir -p %buildroot/%xinf_dir
+mkdir -p %buildroot/%nv_workdirdir
+mkdir -p %buildroot/%_datadir/nvidia/
 
 
 # install libraries
-%__install -m 0644 %subd/libnvidia-glvkspirv.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-glcore.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-eglcore.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-glsi.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-tls.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-glvkspirv.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-glcore.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-eglcore.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-glsi.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-tls.so.%tbver %buildroot/%_libdir/
 %ifnarch aarch64
-%__install -m 0644 %subd/libnvidia-compiler.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-compiler.so.%tbver %buildroot/%_libdir/
 %endif
 %ifnarch %ix86 armh
-%__install -m 0644 %subd/libnvidia-cbl.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-rtcore.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-vulkan-producer.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-cbl.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-rtcore.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-vulkan-producer.so.%tbver %buildroot/%_libdir/
 %endif
 #
 
@@ -249,50 +249,50 @@
 ln -sr %buildroot/%nv_lib_dir/nvidia.xinf %buildroot/%xinf_dir/nvidia-%version.xinf
 
 %ifarch x86_64 aarch64
-%__install -m 0644 %subd/nvidia_drv.so %buildroot/%nv_lib_dir/
+install -m 0644 %subd/nvidia_drv.so %buildroot/%nv_lib_dir/
 %endif
 
 %if_enabled package_wfb
 [ -f %subd/libnvidia-wfb.so.%tbver ] && \
-%__install -m 0644 %subd/libnvidia-wfb.so.%tbver %buildroot/%nv_lib_dir/libwfb.so
+install -m 0644 %subd/libnvidia-wfb.so.%tbver %buildroot/%nv_lib_dir/libwfb.so
 %endif
 
 %ifarch x86_64 aarch64
-%__install -m 0644 %subd/libglxserver_nvidia.so.%tbver %buildroot/%nv_lib_dir/libglxserver_nvidia.so
+install -m 0644 %subd/libglxserver_nvidia.so.%tbver %buildroot/%nv_lib_dir/libglxserver_nvidia.so
 %endif
 
-%__install -m 0644 %subd/libGLdispatch.so.0  %buildroot/%nv_lib_dir/libGLdispatch.so
+install -m 0644 %subd/libGLdispatch.so.0  %buildroot/%nv_lib_dir/libGLdispatch.so
 #
 %if_enabled glvnd
-%__install -m 0644 %subd/libGL.so.%gl_libver  %buildroot/%nv_lib_dir/libGL.so
-%__install -m 0644 %subd/libEGL.so.%egl_libver  %buildroot/%nv_lib_dir/libEGL.so
+install -m 0644 %subd/libGL.so.%gl_libver  %buildroot/%nv_lib_dir/libGL.so
+install -m 0644 %subd/libEGL.so.%egl_libver  %buildroot/%nv_lib_dir/libEGL.so
 %else
-%__install -m 0644 %subd/libGL.so.%tbver  %buildroot/%nv_lib_dir/libGL.so
-%__install -m 0644 %subd/libEGL.so.%tbver  %buildroot/%nv_lib_dir/libEGL.so
+install -m 0644 %subd/libGL.so.%tbver  %buildroot/%nv_lib_dir/libGL.so
+install -m 0644 %subd/libEGL.so.%tbver  %buildroot/%nv_lib_dir/libEGL.so
 %endif
 #
-%__install -m 0644 %subd/libEGL_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libEGL_nvidia.so
+install -m 0644 %subd/libEGL_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libEGL_nvidia.so
 ln -sr %buildroot/%nv_lib_dir/libEGL_nvidia.so %buildroot/%_libdir/libEGL_nvidia.so.0
-%__install -m 0644 %subd/libGLESv2.so.2.1.0  %buildroot/%nv_lib_dir/libGLESv2.so
-%__install -m 0644 %subd/libGLESv2_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv2_nvidia.so
-%__install -m 0644 %subd/libGLESv1_CM.so.1.2.0  %buildroot/%nv_lib_dir/libGLESv1_CM.so
-%__install -m 0644 %subd/libGLESv1_CM_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv1_CM_nvidia.so
-%__install -m 0644 %subd/libGLX.so.0  %buildroot/%nv_lib_dir/libGLX.so
-%__install -m 0644 %subd/libGLX_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libGLX_nvidia.so
-%__install -m 0644 %subd/libnvidia-allocator.so.%tbver    %buildroot/%nv_lib_dir/libnvidia-allocator.so
+install -m 0644 %subd/libGLESv2.so.2.1.0  %buildroot/%nv_lib_dir/libGLESv2.so
+install -m 0644 %subd/libGLESv2_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv2_nvidia.so
+install -m 0644 %subd/libGLESv1_CM.so.1.2.0  %buildroot/%nv_lib_dir/libGLESv1_CM.so
+install -m 0644 %subd/libGLESv1_CM_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv1_CM_nvidia.so
+install -m 0644 %subd/libGLX.so.0  %buildroot/%nv_lib_dir/libGLX.so
+install -m 0644 %subd/libGLX_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libGLX_nvidia.so
+install -m 0644 %subd/libnvidia-allocator.so.%tbver    %buildroot/%nv_lib_dir/libnvidia-allocator.so
 %ifnarch %ix86 armh
 ln -sr %buildroot/%_libdir/libnvidia-vulkan-producer.so.%tbver %buildroot/%nv_lib_dir/libnvidia-vulkan-producer.so
 %endif
 
-%__install -m 0644 %subd/libvdpau_nvidia.so.%tbver %buildroot/%nv_lib_dir/libvdpau_nvidia.so
+install -m 0644 %subd/libvdpau_nvidia.so.%tbver %buildroot/%nv_lib_dir/libvdpau_nvidia.so
 %ifarch x86_64 aarch64
-%__install -m 0644 %subd/libnvidia-cfg.so.%tbver %buildroot/%nv_lib_dir/libnvidia-cfg.so
+install -m 0644 %subd/libnvidia-cfg.so.%tbver %buildroot/%nv_lib_dir/libnvidia-cfg.so
 %endif
 /sbin/ldconfig -n %buildroot/%nv_lib_dir
 
-%__install -m 0644 nvidia-application-profiles-%version-rc \
+install -m 0644 nvidia-application-profiles-%version-rc \
     %buildroot/%_datadir/nvidia/nvidia-application-profiles-%version-rc
-%__install -m 0644 nvidia-application-profiles-%version-key-documentation \
+install -m 0644 nvidia-application-profiles-%version-key-documentation \
     %buildroot/%_datadir/nvidia/nvidia-application-profiles-%version-key-documentation
 
 mkdir -p %buildroot/%_datadir/glvnd/egl_vendor.d/
@@ -313,10 +313,10 @@
 
 %if_enabled kernelsource
 # kernel-source install
-%__rm -rf kernel-source-%module_name-%module_version/
-%__mkdir_p %buildroot/%_usrsrc/kernel/sources/ kernel-source-%module_name-%module_version/
-%__cp -ar kernel/* kernel-source-%module_name-%module_version/
-%__cp LICENSE kernel-source-%module_name-%module_version/
+rm -rf kernel-source-%module_name-%module_version/
+mkdir -p %buildroot/%_usrsrc/kernel/sources/ kernel-source-%module_name-%module_version/
+cp -ar kernel/* kernel-source-%module_name-%module_version/
+cp LICENSE kernel-source-%module_name-%module_version/
 tar -c kernel-source-%module_name-%module_version | bzip2 -c > \
     %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
 %endif
--- a/nvidia_glx_src.spec	2024-10-22 02:20:41.292035287 +0300
+++ b/nvidia_glx_src.spec	2024-10-22 02:20:41.320035595 +0300
@@ -204,45 +204,45 @@
     readelf -a $1| grep SONAME| sed 's/.*\[//'| sed 's/\].*//'
 }
 
-%__mkdir_p %buildroot/%_sbindir
-%__mkdir_p %buildroot/%tls_lib_dir
-%__mkdir_p %buildroot/%nv_lib_dir
-%__mkdir_p %buildroot/%x11_mod_dir
-#%__mkdir_p %buildroot/%x11_mod_old
-%__mkdir_p %buildroot/%x11_drv_dir
-#%__mkdir_p %buildroot/%x11_drv_old
-%__mkdir_p %buildroot/%x11_ext_dir
-#%__mkdir_p %buildroot/%x11_ext_old
-%__mkdir_p %buildroot/%lib_sym_dir
-%__mkdir_p %buildroot/%nv_lib_sym_dir
-%__mkdir_p %buildroot/%nv_lib32_sym_dir
-%__mkdir_p %buildroot/%xdrv_d
-#%__mkdir_p %buildroot/%xdrv_d_old
-%__mkdir_p %buildroot/%xdrv_pre_d
-%__mkdir_p %buildroot/%xinf_dir
-%__mkdir_p %buildroot/%nv_workdirdir
-%__mkdir_p %buildroot/%_datadir/nvidia/
+mkdir -p %buildroot/%_sbindir
+mkdir -p %buildroot/%tls_lib_dir
+mkdir -p %buildroot/%nv_lib_dir
+mkdir -p %buildroot/%x11_mod_dir
+#mkdir -p %buildroot/%x11_mod_old
+mkdir -p %buildroot/%x11_drv_dir
+#mkdir -p %buildroot/%x11_drv_old
+mkdir -p %buildroot/%x11_ext_dir
+#mkdir -p %buildroot/%x11_ext_old
+mkdir -p %buildroot/%lib_sym_dir
+mkdir -p %buildroot/%nv_lib_sym_dir
+mkdir -p %buildroot/%nv_lib32_sym_dir
+mkdir -p %buildroot/%xdrv_d
+#mkdir -p %buildroot/%xdrv_d_old
+mkdir -p %buildroot/%xdrv_pre_d
+mkdir -p %buildroot/%xinf_dir
+mkdir -p %buildroot/%nv_workdirdir
+mkdir -p %buildroot/%_datadir/nvidia/
 
 
 # install libraries
-%__install -m 0644 %subd/libnvidia-glvkspirv.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-glcore.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-eglcore.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-glsi.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-tls.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-gpucomp.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-glvkspirv.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-glcore.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-eglcore.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-glsi.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-tls.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-gpucomp.so.%tbver %buildroot/%_libdir/
 %ifarch x86_64
-#%__install -m 0644 %subd/libnvidia-pkcs11.so.%tbver %buildroot/%_libdir/
-#%__install -m 0644 %subd/libnvidia-pkcs11-openssl3.so.%tbver %buildroot/%_libdir/
+#install -m 0644 %subd/libnvidia-pkcs11.so.%tbver %buildroot/%_libdir/
+#install -m 0644 %subd/libnvidia-pkcs11-openssl3.so.%tbver %buildroot/%_libdir/
 %endif
 %ifnarch aarch64
-#%__install -m 0644 %subd/libnvidia-compiler.so.%tbver %buildroot/%_libdir/
+#install -m 0644 %subd/libnvidia-compiler.so.%tbver %buildroot/%_libdir/
 %endif
 %ifnarch %ix86 armh
-%__install -m 0644 %subd/libnvidia-rtcore.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-rtcore.so.%tbver %buildroot/%_libdir/
 %endif
 %ifnarch %ix86 aarch64 armh
-%__install -m 0644 %subd/libnvidia-wayland-client.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-wayland-client.so.%tbver %buildroot/%_libdir/
 %endif
 #
 
@@ -251,41 +251,41 @@
 ln -sr %buildroot/%nv_lib_dir/nvidia.xinf %buildroot/%xinf_dir/nvidia-%version.xinf
 
 %ifarch x86_64 aarch64
-%__install -m 0644 %subd/nvidia_drv.so %buildroot/%nv_lib_dir/
+install -m 0644 %subd/nvidia_drv.so %buildroot/%nv_lib_dir/
 %endif
 
 %if_enabled package_wfb
 [ -f %subd/libnvidia-wfb.so.%tbver ] && \
-%__install -m 0644 %subd/libnvidia-wfb.so.%tbver %buildroot/%nv_lib_dir/libwfb.so
+install -m 0644 %subd/libnvidia-wfb.so.%tbver %buildroot/%nv_lib_dir/libwfb.so
 %endif
 
 %ifarch x86_64 aarch64
-%__install -m 0644 %subd/libglxserver_nvidia.so.%tbver %buildroot/%nv_lib_dir/libglxserver_nvidia.so
+install -m 0644 %subd/libglxserver_nvidia.so.%tbver %buildroot/%nv_lib_dir/libglxserver_nvidia.so
 %endif
 
-%__install -m 0644 %subd/libGLdispatch.so.0  %buildroot/%nv_lib_dir/libGLdispatch.so
+install -m 0644 %subd/libGLdispatch.so.0  %buildroot/%nv_lib_dir/libGLdispatch.so
 #
 %if_enabled glvnd
-%__install -m 0644 %subd/libGL.so.%gl_libver  %buildroot/%nv_lib_dir/libGL.so
-%__install -m 0644 %subd/libEGL.so.%egl_libver  %buildroot/%nv_lib_dir/libEGL.so
+install -m 0644 %subd/libGL.so.%gl_libver  %buildroot/%nv_lib_dir/libGL.so
+install -m 0644 %subd/libEGL.so.%egl_libver  %buildroot/%nv_lib_dir/libEGL.so
 %else
-%__install -m 0644 %subd/libGL.so.%tbver  %buildroot/%nv_lib_dir/libGL.so
-%__install -m 0644 %subd/libEGL.so.%tbver  %buildroot/%nv_lib_dir/libEGL.so
+install -m 0644 %subd/libGL.so.%tbver  %buildroot/%nv_lib_dir/libGL.so
+install -m 0644 %subd/libEGL.so.%tbver  %buildroot/%nv_lib_dir/libEGL.so
 %endif
 #
-%__install -m 0644 %subd/libEGL_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libEGL_nvidia.so
+install -m 0644 %subd/libEGL_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libEGL_nvidia.so
 ln -sr %buildroot/%nv_lib_dir/libEGL_nvidia.so %buildroot/%_libdir/libEGL_nvidia.so.0
-%__install -m 0644 %subd/libGLESv2.so.2.1.0  %buildroot/%nv_lib_dir/libGLESv2.so
-%__install -m 0644 %subd/libGLESv2_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv2_nvidia.so
-%__install -m 0644 %subd/libGLESv1_CM.so.1.2.0  %buildroot/%nv_lib_dir/libGLESv1_CM.so
-%__install -m 0644 %subd/libGLESv1_CM_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv1_CM_nvidia.so
-%__install -m 0644 %subd/libGLX.so.0  %buildroot/%nv_lib_dir/libGLX.so
-%__install -m 0644 %subd/libGLX_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libGLX_nvidia.so
-%__install -m 0644 %subd/libnvidia-allocator.so.%tbver    %buildroot/%nv_lib_dir/libnvidia-allocator.so
+install -m 0644 %subd/libGLESv2.so.2.1.0  %buildroot/%nv_lib_dir/libGLESv2.so
+install -m 0644 %subd/libGLESv2_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv2_nvidia.so
+install -m 0644 %subd/libGLESv1_CM.so.1.2.0  %buildroot/%nv_lib_dir/libGLESv1_CM.so
+install -m 0644 %subd/libGLESv1_CM_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv1_CM_nvidia.so
+install -m 0644 %subd/libGLX.so.0  %buildroot/%nv_lib_dir/libGLX.so
+install -m 0644 %subd/libGLX_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libGLX_nvidia.so
+install -m 0644 %subd/libnvidia-allocator.so.%tbver    %buildroot/%nv_lib_dir/libnvidia-allocator.so
 
-%__install -m 0644 %subd/libvdpau_nvidia.so.%tbver %buildroot/%nv_lib_dir/libvdpau_nvidia.so
+install -m 0644 %subd/libvdpau_nvidia.so.%tbver %buildroot/%nv_lib_dir/libvdpau_nvidia.so
 %ifarch x86_64 aarch64
-%__install -m 0644 %subd/libnvidia-cfg.so.%tbver %buildroot/%nv_lib_dir/libnvidia-cfg.so
+install -m 0644 %subd/libnvidia-cfg.so.%tbver %buildroot/%nv_lib_dir/libnvidia-cfg.so
 %endif
 /sbin/ldconfig -n %buildroot/%nv_lib_dir
 
@@ -294,9 +294,9 @@
 install -m 0755 *nvngx.dll %buildroot/%nv_lib_dir/nvidia/wine/
 %endif
 
-%__install -m 0644 nvidia-application-profiles-%version-rc \
+install -m 0644 nvidia-application-profiles-%version-rc \
     %buildroot/%_datadir/nvidia/nvidia-application-profiles-%version-rc
-%__install -m 0644 nvidia-application-profiles-%version-key-documentation \
+install -m 0644 nvidia-application-profiles-%version-key-documentation \
     %buildroot/%_datadir/nvidia/nvidia-application-profiles-%version-key-documentation
 
 mkdir -p %buildroot/%_datadir/glvnd/egl_vendor.d/
@@ -317,10 +317,10 @@
 
 %if_enabled kernelsource
 # kernel-source install
-%__rm -rf kernel-source-%module_name-%module_version/
-%__mkdir_p %buildroot/%_usrsrc/kernel/sources/ kernel-source-%module_name-%module_version/
-%__cp -ar kernel/* kernel-source-%module_name-%module_version/
-%__cp LICENSE kernel-source-%module_name-%module_version/
+rm -rf kernel-source-%module_name-%module_version/
+mkdir -p %buildroot/%_usrsrc/kernel/sources/ kernel-source-%module_name-%module_version/
+cp -ar kernel/* kernel-source-%module_name-%module_version/
+cp LICENSE kernel-source-%module_name-%module_version/
 tar -c kernel-source-%module_name-%module_version | bzip2 -c > \
     %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
 %endif
--- a/nvidia_glx_src.spec	2024-10-22 02:20:41.373036177 +0300
+++ b/nvidia_glx_src.spec	2024-10-22 02:20:41.400036473 +0300
@@ -204,45 +204,45 @@
     readelf -a $1| grep SONAME| sed 's/.*\[//'| sed 's/\].*//'
 }
 
-%__mkdir_p %buildroot/%_sbindir
-%__mkdir_p %buildroot/%tls_lib_dir
-%__mkdir_p %buildroot/%nv_lib_dir
-%__mkdir_p %buildroot/%x11_mod_dir
-#%__mkdir_p %buildroot/%x11_mod_old
-%__mkdir_p %buildroot/%x11_drv_dir
-#%__mkdir_p %buildroot/%x11_drv_old
-%__mkdir_p %buildroot/%x11_ext_dir
-#%__mkdir_p %buildroot/%x11_ext_old
-%__mkdir_p %buildroot/%lib_sym_dir
-%__mkdir_p %buildroot/%nv_lib_sym_dir
-%__mkdir_p %buildroot/%nv_lib32_sym_dir
-%__mkdir_p %buildroot/%xdrv_d
-#%__mkdir_p %buildroot/%xdrv_d_old
-%__mkdir_p %buildroot/%xdrv_pre_d
-%__mkdir_p %buildroot/%xinf_dir
-%__mkdir_p %buildroot/%nv_workdirdir
-%__mkdir_p %buildroot/%_datadir/nvidia/
+mkdir -p %buildroot/%_sbindir
+mkdir -p %buildroot/%tls_lib_dir
+mkdir -p %buildroot/%nv_lib_dir
+mkdir -p %buildroot/%x11_mod_dir
+#mkdir -p %buildroot/%x11_mod_old
+mkdir -p %buildroot/%x11_drv_dir
+#mkdir -p %buildroot/%x11_drv_old
+mkdir -p %buildroot/%x11_ext_dir
+#mkdir -p %buildroot/%x11_ext_old
+mkdir -p %buildroot/%lib_sym_dir
+mkdir -p %buildroot/%nv_lib_sym_dir
+mkdir -p %buildroot/%nv_lib32_sym_dir
+mkdir -p %buildroot/%xdrv_d
+#mkdir -p %buildroot/%xdrv_d_old
+mkdir -p %buildroot/%xdrv_pre_d
+mkdir -p %buildroot/%xinf_dir
+mkdir -p %buildroot/%nv_workdirdir
+mkdir -p %buildroot/%_datadir/nvidia/
 
 
 # install libraries
-%__install -m 0644 %subd/libnvidia-glvkspirv.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-glcore.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-eglcore.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-glsi.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-tls.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-gpucomp.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-glvkspirv.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-glcore.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-eglcore.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-glsi.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-tls.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-gpucomp.so.%tbver %buildroot/%_libdir/
 %ifarch x86_64
-#%__install -m 0644 %subd/libnvidia-pkcs11.so.%tbver %buildroot/%_libdir/
-#%__install -m 0644 %subd/libnvidia-pkcs11-openssl3.so.%tbver %buildroot/%_libdir/
+#install -m 0644 %subd/libnvidia-pkcs11.so.%tbver %buildroot/%_libdir/
+#install -m 0644 %subd/libnvidia-pkcs11-openssl3.so.%tbver %buildroot/%_libdir/
 %endif
 %ifnarch aarch64
-#%__install -m 0644 %subd/libnvidia-compiler.so.%tbver %buildroot/%_libdir/
+#install -m 0644 %subd/libnvidia-compiler.so.%tbver %buildroot/%_libdir/
 %endif
 %ifnarch %ix86 armh
-%__install -m 0644 %subd/libnvidia-rtcore.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-rtcore.so.%tbver %buildroot/%_libdir/
 %endif
 %ifnarch %ix86 aarch64 armh
-%__install -m 0644 %subd/libnvidia-wayland-client.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-wayland-client.so.%tbver %buildroot/%_libdir/
 %endif
 #
 
@@ -251,41 +251,41 @@
 ln -sr %buildroot/%nv_lib_dir/nvidia.xinf %buildroot/%xinf_dir/nvidia-%version.xinf
 
 %ifarch x86_64 aarch64
-%__install -m 0644 %subd/nvidia_drv.so %buildroot/%nv_lib_dir/
+install -m 0644 %subd/nvidia_drv.so %buildroot/%nv_lib_dir/
 %endif
 
 %if_enabled package_wfb
 [ -f %subd/libnvidia-wfb.so.%tbver ] && \
-%__install -m 0644 %subd/libnvidia-wfb.so.%tbver %buildroot/%nv_lib_dir/libwfb.so
+install -m 0644 %subd/libnvidia-wfb.so.%tbver %buildroot/%nv_lib_dir/libwfb.so
 %endif
 
 %ifarch x86_64 aarch64
-%__install -m 0644 %subd/libglxserver_nvidia.so.%tbver %buildroot/%nv_lib_dir/libglxserver_nvidia.so
+install -m 0644 %subd/libglxserver_nvidia.so.%tbver %buildroot/%nv_lib_dir/libglxserver_nvidia.so
 %endif
 
-%__install -m 0644 %subd/libGLdispatch.so.0  %buildroot/%nv_lib_dir/libGLdispatch.so
+install -m 0644 %subd/libGLdispatch.so.0  %buildroot/%nv_lib_dir/libGLdispatch.so
 #
 %if_enabled glvnd
-%__install -m 0644 %subd/libGL.so.%gl_libver  %buildroot/%nv_lib_dir/libGL.so
-%__install -m 0644 %subd/libEGL.so.%egl_libver  %buildroot/%nv_lib_dir/libEGL.so
+install -m 0644 %subd/libGL.so.%gl_libver  %buildroot/%nv_lib_dir/libGL.so
+install -m 0644 %subd/libEGL.so.%egl_libver  %buildroot/%nv_lib_dir/libEGL.so
 %else
-%__install -m 0644 %subd/libGL.so.%tbver  %buildroot/%nv_lib_dir/libGL.so
-%__install -m 0644 %subd/libEGL.so.%tbver  %buildroot/%nv_lib_dir/libEGL.so
+install -m 0644 %subd/libGL.so.%tbver  %buildroot/%nv_lib_dir/libGL.so
+install -m 0644 %subd/libEGL.so.%tbver  %buildroot/%nv_lib_dir/libEGL.so
 %endif
 #
-%__install -m 0644 %subd/libEGL_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libEGL_nvidia.so
+install -m 0644 %subd/libEGL_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libEGL_nvidia.so
 ln -sr %buildroot/%nv_lib_dir/libEGL_nvidia.so %buildroot/%_libdir/libEGL_nvidia.so.0
-%__install -m 0644 %subd/libGLESv2.so.2.1.0  %buildroot/%nv_lib_dir/libGLESv2.so
-%__install -m 0644 %subd/libGLESv2_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv2_nvidia.so
-%__install -m 0644 %subd/libGLESv1_CM.so.1.2.0  %buildroot/%nv_lib_dir/libGLESv1_CM.so
-%__install -m 0644 %subd/libGLESv1_CM_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv1_CM_nvidia.so
-%__install -m 0644 %subd/libGLX.so.0  %buildroot/%nv_lib_dir/libGLX.so
-%__install -m 0644 %subd/libGLX_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libGLX_nvidia.so
-%__install -m 0644 %subd/libnvidia-allocator.so.%tbver    %buildroot/%nv_lib_dir/libnvidia-allocator.so
+install -m 0644 %subd/libGLESv2.so.2.1.0  %buildroot/%nv_lib_dir/libGLESv2.so
+install -m 0644 %subd/libGLESv2_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv2_nvidia.so
+install -m 0644 %subd/libGLESv1_CM.so.1.2.0  %buildroot/%nv_lib_dir/libGLESv1_CM.so
+install -m 0644 %subd/libGLESv1_CM_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv1_CM_nvidia.so
+install -m 0644 %subd/libGLX.so.0  %buildroot/%nv_lib_dir/libGLX.so
+install -m 0644 %subd/libGLX_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libGLX_nvidia.so
+install -m 0644 %subd/libnvidia-allocator.so.%tbver    %buildroot/%nv_lib_dir/libnvidia-allocator.so
 
-%__install -m 0644 %subd/libvdpau_nvidia.so.%tbver %buildroot/%nv_lib_dir/libvdpau_nvidia.so
+install -m 0644 %subd/libvdpau_nvidia.so.%tbver %buildroot/%nv_lib_dir/libvdpau_nvidia.so
 %ifarch x86_64 aarch64
-%__install -m 0644 %subd/libnvidia-cfg.so.%tbver %buildroot/%nv_lib_dir/libnvidia-cfg.so
+install -m 0644 %subd/libnvidia-cfg.so.%tbver %buildroot/%nv_lib_dir/libnvidia-cfg.so
 %endif
 /sbin/ldconfig -n %buildroot/%nv_lib_dir
 
@@ -294,9 +294,9 @@
 install -m 0755 *nvngx.dll %buildroot/%nv_lib_dir/nvidia/wine/
 %endif
 
-%__install -m 0644 nvidia-application-profiles-%version-rc \
+install -m 0644 nvidia-application-profiles-%version-rc \
     %buildroot/%_datadir/nvidia/nvidia-application-profiles-%version-rc
-%__install -m 0644 nvidia-application-profiles-%version-key-documentation \
+install -m 0644 nvidia-application-profiles-%version-key-documentation \
     %buildroot/%_datadir/nvidia/nvidia-application-profiles-%version-key-documentation
 
 mkdir -p %buildroot/%_datadir/glvnd/egl_vendor.d/
@@ -317,10 +317,10 @@
 
 %if_enabled kernelsource
 # kernel-source install
-%__rm -rf kernel-source-%module_name-%module_version/
-%__mkdir_p %buildroot/%_usrsrc/kernel/sources/ kernel-source-%module_name-%module_version/
-%__cp -ar kernel/* kernel-source-%module_name-%module_version/
-%__cp LICENSE kernel-source-%module_name-%module_version/
+rm -rf kernel-source-%module_name-%module_version/
+mkdir -p %buildroot/%_usrsrc/kernel/sources/ kernel-source-%module_name-%module_version/
+cp -ar kernel/* kernel-source-%module_name-%module_version/
+cp LICENSE kernel-source-%module_name-%module_version/
 tar -c kernel-source-%module_name-%module_version | bzip2 -c > \
     %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
 %endif
--- a/nvidia_glx_src.spec	2024-10-22 02:20:41.452037044 +0300
+++ b/nvidia_glx_src.spec	2024-10-22 02:20:41.479037341 +0300
@@ -204,45 +204,45 @@
     readelf -a $1| grep SONAME| sed 's/.*\[//'| sed 's/\].*//'
 }
 
-%__mkdir_p %buildroot/%_sbindir
-%__mkdir_p %buildroot/%tls_lib_dir
-%__mkdir_p %buildroot/%nv_lib_dir
-%__mkdir_p %buildroot/%x11_mod_dir
-#%__mkdir_p %buildroot/%x11_mod_old
-%__mkdir_p %buildroot/%x11_drv_dir
-#%__mkdir_p %buildroot/%x11_drv_old
-%__mkdir_p %buildroot/%x11_ext_dir
-#%__mkdir_p %buildroot/%x11_ext_old
-%__mkdir_p %buildroot/%lib_sym_dir
-%__mkdir_p %buildroot/%nv_lib_sym_dir
-%__mkdir_p %buildroot/%nv_lib32_sym_dir
-%__mkdir_p %buildroot/%xdrv_d
-#%__mkdir_p %buildroot/%xdrv_d_old
-%__mkdir_p %buildroot/%xdrv_pre_d
-%__mkdir_p %buildroot/%xinf_dir
-%__mkdir_p %buildroot/%nv_workdirdir
-%__mkdir_p %buildroot/%_datadir/nvidia/
+mkdir -p %buildroot/%_sbindir
+mkdir -p %buildroot/%tls_lib_dir
+mkdir -p %buildroot/%nv_lib_dir
+mkdir -p %buildroot/%x11_mod_dir
+#mkdir -p %buildroot/%x11_mod_old
+mkdir -p %buildroot/%x11_drv_dir
+#mkdir -p %buildroot/%x11_drv_old
+mkdir -p %buildroot/%x11_ext_dir
+#mkdir -p %buildroot/%x11_ext_old
+mkdir -p %buildroot/%lib_sym_dir
+mkdir -p %buildroot/%nv_lib_sym_dir
+mkdir -p %buildroot/%nv_lib32_sym_dir
+mkdir -p %buildroot/%xdrv_d
+#mkdir -p %buildroot/%xdrv_d_old
+mkdir -p %buildroot/%xdrv_pre_d
+mkdir -p %buildroot/%xinf_dir
+mkdir -p %buildroot/%nv_workdirdir
+mkdir -p %buildroot/%_datadir/nvidia/
 
 
 # install libraries
-%__install -m 0644 %subd/libnvidia-glvkspirv.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-glcore.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-eglcore.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-glsi.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-tls.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-gpucomp.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-glvkspirv.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-glcore.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-eglcore.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-glsi.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-tls.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-gpucomp.so.%tbver %buildroot/%_libdir/
 %ifarch x86_64
-#%__install -m 0644 %subd/libnvidia-pkcs11.so.%tbver %buildroot/%_libdir/
-#%__install -m 0644 %subd/libnvidia-pkcs11-openssl3.so.%tbver %buildroot/%_libdir/
+#install -m 0644 %subd/libnvidia-pkcs11.so.%tbver %buildroot/%_libdir/
+#install -m 0644 %subd/libnvidia-pkcs11-openssl3.so.%tbver %buildroot/%_libdir/
 %endif
 %ifnarch aarch64
-#%__install -m 0644 %subd/libnvidia-compiler.so.%tbver %buildroot/%_libdir/
+#install -m 0644 %subd/libnvidia-compiler.so.%tbver %buildroot/%_libdir/
 %endif
 %ifnarch %ix86 armh
-%__install -m 0644 %subd/libnvidia-rtcore.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-rtcore.so.%tbver %buildroot/%_libdir/
 %endif
 %ifnarch %ix86 aarch64 armh
-%__install -m 0644 %subd/libnvidia-wayland-client.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-wayland-client.so.%tbver %buildroot/%_libdir/
 %endif
 #
 
@@ -251,41 +251,41 @@
 ln -sr %buildroot/%nv_lib_dir/nvidia.xinf %buildroot/%xinf_dir/nvidia-%version.xinf
 
 %ifarch x86_64 aarch64
-%__install -m 0644 %subd/nvidia_drv.so %buildroot/%nv_lib_dir/
+install -m 0644 %subd/nvidia_drv.so %buildroot/%nv_lib_dir/
 %endif
 
 %if_enabled package_wfb
 [ -f %subd/libnvidia-wfb.so.%tbver ] && \
-%__install -m 0644 %subd/libnvidia-wfb.so.%tbver %buildroot/%nv_lib_dir/libwfb.so
+install -m 0644 %subd/libnvidia-wfb.so.%tbver %buildroot/%nv_lib_dir/libwfb.so
 %endif
 
 %ifarch x86_64 aarch64
-%__install -m 0644 %subd/libglxserver_nvidia.so.%tbver %buildroot/%nv_lib_dir/libglxserver_nvidia.so
+install -m 0644 %subd/libglxserver_nvidia.so.%tbver %buildroot/%nv_lib_dir/libglxserver_nvidia.so
 %endif
 
-%__install -m 0644 %subd/libGLdispatch.so.0  %buildroot/%nv_lib_dir/libGLdispatch.so
+install -m 0644 %subd/libGLdispatch.so.0  %buildroot/%nv_lib_dir/libGLdispatch.so
 #
 %if_enabled glvnd
-%__install -m 0644 %subd/libGL.so.%gl_libver  %buildroot/%nv_lib_dir/libGL.so
-%__install -m 0644 %subd/libEGL.so.%egl_libver  %buildroot/%nv_lib_dir/libEGL.so
+install -m 0644 %subd/libGL.so.%gl_libver  %buildroot/%nv_lib_dir/libGL.so
+install -m 0644 %subd/libEGL.so.%egl_libver  %buildroot/%nv_lib_dir/libEGL.so
 %else
-%__install -m 0644 %subd/libGL.so.%tbver  %buildroot/%nv_lib_dir/libGL.so
-%__install -m 0644 %subd/libEGL.so.%tbver  %buildroot/%nv_lib_dir/libEGL.so
+install -m 0644 %subd/libGL.so.%tbver  %buildroot/%nv_lib_dir/libGL.so
+install -m 0644 %subd/libEGL.so.%tbver  %buildroot/%nv_lib_dir/libEGL.so
 %endif
 #
-%__install -m 0644 %subd/libEGL_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libEGL_nvidia.so
+install -m 0644 %subd/libEGL_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libEGL_nvidia.so
 ln -sr %buildroot/%nv_lib_dir/libEGL_nvidia.so %buildroot/%_libdir/libEGL_nvidia.so.0
-%__install -m 0644 %subd/libGLESv2.so.2.1.0  %buildroot/%nv_lib_dir/libGLESv2.so
-%__install -m 0644 %subd/libGLESv2_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv2_nvidia.so
-%__install -m 0644 %subd/libGLESv1_CM.so.1.2.0  %buildroot/%nv_lib_dir/libGLESv1_CM.so
-%__install -m 0644 %subd/libGLESv1_CM_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv1_CM_nvidia.so
-%__install -m 0644 %subd/libGLX.so.0  %buildroot/%nv_lib_dir/libGLX.so
-%__install -m 0644 %subd/libGLX_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libGLX_nvidia.so
-%__install -m 0644 %subd/libnvidia-allocator.so.%tbver    %buildroot/%nv_lib_dir/libnvidia-allocator.so
+install -m 0644 %subd/libGLESv2.so.2.1.0  %buildroot/%nv_lib_dir/libGLESv2.so
+install -m 0644 %subd/libGLESv2_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv2_nvidia.so
+install -m 0644 %subd/libGLESv1_CM.so.1.2.0  %buildroot/%nv_lib_dir/libGLESv1_CM.so
+install -m 0644 %subd/libGLESv1_CM_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv1_CM_nvidia.so
+install -m 0644 %subd/libGLX.so.0  %buildroot/%nv_lib_dir/libGLX.so
+install -m 0644 %subd/libGLX_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libGLX_nvidia.so
+install -m 0644 %subd/libnvidia-allocator.so.%tbver    %buildroot/%nv_lib_dir/libnvidia-allocator.so
 
-%__install -m 0644 %subd/libvdpau_nvidia.so.%tbver %buildroot/%nv_lib_dir/libvdpau_nvidia.so
+install -m 0644 %subd/libvdpau_nvidia.so.%tbver %buildroot/%nv_lib_dir/libvdpau_nvidia.so
 %ifarch x86_64 aarch64
-%__install -m 0644 %subd/libnvidia-cfg.so.%tbver %buildroot/%nv_lib_dir/libnvidia-cfg.so
+install -m 0644 %subd/libnvidia-cfg.so.%tbver %buildroot/%nv_lib_dir/libnvidia-cfg.so
 %endif
 /sbin/ldconfig -n %buildroot/%nv_lib_dir
 
@@ -294,9 +294,9 @@
 install -m 0755 *nvngx.dll %buildroot/%nv_lib_dir/nvidia/wine/
 %endif
 
-%__install -m 0644 nvidia-application-profiles-%version-rc \
+install -m 0644 nvidia-application-profiles-%version-rc \
     %buildroot/%_datadir/nvidia/nvidia-application-profiles-%version-rc
-%__install -m 0644 nvidia-application-profiles-%version-key-documentation \
+install -m 0644 nvidia-application-profiles-%version-key-documentation \
     %buildroot/%_datadir/nvidia/nvidia-application-profiles-%version-key-documentation
 
 mkdir -p %buildroot/%_datadir/glvnd/egl_vendor.d/
@@ -317,10 +317,10 @@
 
 %if_enabled kernelsource
 # kernel-source install
-%__rm -rf kernel-source-%module_name-%module_version/
-%__mkdir_p %buildroot/%_usrsrc/kernel/sources/ kernel-source-%module_name-%module_version/
-%__cp -ar kernel/* kernel-source-%module_name-%module_version/
-%__cp LICENSE kernel-source-%module_name-%module_version/
+rm -rf kernel-source-%module_name-%module_version/
+mkdir -p %buildroot/%_usrsrc/kernel/sources/ kernel-source-%module_name-%module_version/
+cp -ar kernel/* kernel-source-%module_name-%module_version/
+cp LICENSE kernel-source-%module_name-%module_version/
 tar -c kernel-source-%module_name-%module_version | bzip2 -c > \
     %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
 %endif
--- a/nvidia_glx_src.spec	2024-10-22 02:20:41.535037956 +0300
+++ b/nvidia_glx_src.spec	2024-10-22 02:20:41.584038494 +0300
@@ -204,45 +204,45 @@
     readelf -a $1| grep SONAME| sed 's/.*\[//'| sed 's/\].*//'
 }
 
-%__mkdir_p %buildroot/%_sbindir
-%__mkdir_p %buildroot/%tls_lib_dir
-%__mkdir_p %buildroot/%nv_lib_dir
-%__mkdir_p %buildroot/%x11_mod_dir
-#%__mkdir_p %buildroot/%x11_mod_old
-%__mkdir_p %buildroot/%x11_drv_dir
-#%__mkdir_p %buildroot/%x11_drv_old
-%__mkdir_p %buildroot/%x11_ext_dir
-#%__mkdir_p %buildroot/%x11_ext_old
-%__mkdir_p %buildroot/%lib_sym_dir
-%__mkdir_p %buildroot/%nv_lib_sym_dir
-%__mkdir_p %buildroot/%nv_lib32_sym_dir
-%__mkdir_p %buildroot/%xdrv_d
-#%__mkdir_p %buildroot/%xdrv_d_old
-%__mkdir_p %buildroot/%xdrv_pre_d
-%__mkdir_p %buildroot/%xinf_dir
-%__mkdir_p %buildroot/%nv_workdirdir
-%__mkdir_p %buildroot/%_datadir/nvidia/
+mkdir -p %buildroot/%_sbindir
+mkdir -p %buildroot/%tls_lib_dir
+mkdir -p %buildroot/%nv_lib_dir
+mkdir -p %buildroot/%x11_mod_dir
+#mkdir -p %buildroot/%x11_mod_old
+mkdir -p %buildroot/%x11_drv_dir
+#mkdir -p %buildroot/%x11_drv_old
+mkdir -p %buildroot/%x11_ext_dir
+#mkdir -p %buildroot/%x11_ext_old
+mkdir -p %buildroot/%lib_sym_dir
+mkdir -p %buildroot/%nv_lib_sym_dir
+mkdir -p %buildroot/%nv_lib32_sym_dir
+mkdir -p %buildroot/%xdrv_d
+#mkdir -p %buildroot/%xdrv_d_old
+mkdir -p %buildroot/%xdrv_pre_d
+mkdir -p %buildroot/%xinf_dir
+mkdir -p %buildroot/%nv_workdirdir
+mkdir -p %buildroot/%_datadir/nvidia/
 
 
 # install libraries
-%__install -m 0644 %subd/libnvidia-glvkspirv.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-glcore.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-eglcore.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-glsi.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-tls.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-gpucomp.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-glvkspirv.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-glcore.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-eglcore.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-glsi.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-tls.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-gpucomp.so.%tbver %buildroot/%_libdir/
 %ifarch x86_64
-#%__install -m 0644 %subd/libnvidia-pkcs11.so.%tbver %buildroot/%_libdir/
-#%__install -m 0644 %subd/libnvidia-pkcs11-openssl3.so.%tbver %buildroot/%_libdir/
+#install -m 0644 %subd/libnvidia-pkcs11.so.%tbver %buildroot/%_libdir/
+#install -m 0644 %subd/libnvidia-pkcs11-openssl3.so.%tbver %buildroot/%_libdir/
 %endif
 %ifnarch aarch64
-#%__install -m 0644 %subd/libnvidia-compiler.so.%tbver %buildroot/%_libdir/
+#install -m 0644 %subd/libnvidia-compiler.so.%tbver %buildroot/%_libdir/
 %endif
 %ifnarch %ix86 armh
-%__install -m 0644 %subd/libnvidia-rtcore.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-rtcore.so.%tbver %buildroot/%_libdir/
 %endif
 %ifnarch %ix86 aarch64 armh
-%__install -m 0644 %subd/libnvidia-wayland-client.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-wayland-client.so.%tbver %buildroot/%_libdir/
 %endif
 #
 
@@ -251,41 +251,41 @@
 ln -sr %buildroot/%nv_lib_dir/nvidia.xinf %buildroot/%xinf_dir/nvidia-%version.xinf
 
 %ifarch x86_64 aarch64
-%__install -m 0644 %subd/nvidia_drv.so %buildroot/%nv_lib_dir/
+install -m 0644 %subd/nvidia_drv.so %buildroot/%nv_lib_dir/
 %endif
 
 %if_enabled package_wfb
 [ -f %subd/libnvidia-wfb.so.%tbver ] && \
-%__install -m 0644 %subd/libnvidia-wfb.so.%tbver %buildroot/%nv_lib_dir/libwfb.so
+install -m 0644 %subd/libnvidia-wfb.so.%tbver %buildroot/%nv_lib_dir/libwfb.so
 %endif
 
 %ifarch x86_64 aarch64
-%__install -m 0644 %subd/libglxserver_nvidia.so.%tbver %buildroot/%nv_lib_dir/libglxserver_nvidia.so
+install -m 0644 %subd/libglxserver_nvidia.so.%tbver %buildroot/%nv_lib_dir/libglxserver_nvidia.so
 %endif
 
-%__install -m 0644 %subd/libGLdispatch.so.0  %buildroot/%nv_lib_dir/libGLdispatch.so
+install -m 0644 %subd/libGLdispatch.so.0  %buildroot/%nv_lib_dir/libGLdispatch.so
 #
 %if_enabled glvnd
-%__install -m 0644 %subd/libGL.so.%gl_libver  %buildroot/%nv_lib_dir/libGL.so
-%__install -m 0644 %subd/libEGL.so.%egl_libver  %buildroot/%nv_lib_dir/libEGL.so
+install -m 0644 %subd/libGL.so.%gl_libver  %buildroot/%nv_lib_dir/libGL.so
+install -m 0644 %subd/libEGL.so.%egl_libver  %buildroot/%nv_lib_dir/libEGL.so
 %else
-%__install -m 0644 %subd/libGL.so.%tbver  %buildroot/%nv_lib_dir/libGL.so
-%__install -m 0644 %subd/libEGL.so.%tbver  %buildroot/%nv_lib_dir/libEGL.so
+install -m 0644 %subd/libGL.so.%tbver  %buildroot/%nv_lib_dir/libGL.so
+install -m 0644 %subd/libEGL.so.%tbver  %buildroot/%nv_lib_dir/libEGL.so
 %endif
 #
-%__install -m 0644 %subd/libEGL_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libEGL_nvidia.so
+install -m 0644 %subd/libEGL_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libEGL_nvidia.so
 ln -sr %buildroot/%nv_lib_dir/libEGL_nvidia.so %buildroot/%_libdir/libEGL_nvidia.so.0
-%__install -m 0644 %subd/libGLESv2.so.2.1.0  %buildroot/%nv_lib_dir/libGLESv2.so
-%__install -m 0644 %subd/libGLESv2_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv2_nvidia.so
-%__install -m 0644 %subd/libGLESv1_CM.so.1.2.0  %buildroot/%nv_lib_dir/libGLESv1_CM.so
-%__install -m 0644 %subd/libGLESv1_CM_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv1_CM_nvidia.so
-%__install -m 0644 %subd/libGLX.so.0  %buildroot/%nv_lib_dir/libGLX.so
-%__install -m 0644 %subd/libGLX_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libGLX_nvidia.so
-%__install -m 0644 %subd/libnvidia-allocator.so.%tbver    %buildroot/%nv_lib_dir/libnvidia-allocator.so
+install -m 0644 %subd/libGLESv2.so.2.1.0  %buildroot/%nv_lib_dir/libGLESv2.so
+install -m 0644 %subd/libGLESv2_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv2_nvidia.so
+install -m 0644 %subd/libGLESv1_CM.so.1.2.0  %buildroot/%nv_lib_dir/libGLESv1_CM.so
+install -m 0644 %subd/libGLESv1_CM_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv1_CM_nvidia.so
+install -m 0644 %subd/libGLX.so.0  %buildroot/%nv_lib_dir/libGLX.so
+install -m 0644 %subd/libGLX_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libGLX_nvidia.so
+install -m 0644 %subd/libnvidia-allocator.so.%tbver    %buildroot/%nv_lib_dir/libnvidia-allocator.so
 
-%__install -m 0644 %subd/libvdpau_nvidia.so.%tbver %buildroot/%nv_lib_dir/libvdpau_nvidia.so
+install -m 0644 %subd/libvdpau_nvidia.so.%tbver %buildroot/%nv_lib_dir/libvdpau_nvidia.so
 %ifarch x86_64 aarch64
-%__install -m 0644 %subd/libnvidia-cfg.so.%tbver %buildroot/%nv_lib_dir/libnvidia-cfg.so
+install -m 0644 %subd/libnvidia-cfg.so.%tbver %buildroot/%nv_lib_dir/libnvidia-cfg.so
 %endif
 /sbin/ldconfig -n %buildroot/%nv_lib_dir
 
@@ -294,9 +294,9 @@
 install -m 0755 *nvngx.dll %buildroot/%nv_lib_dir/nvidia/wine/
 %endif
 
-%__install -m 0644 nvidia-application-profiles-%version-rc \
+install -m 0644 nvidia-application-profiles-%version-rc \
     %buildroot/%_datadir/nvidia/nvidia-application-profiles-%version-rc
-%__install -m 0644 nvidia-application-profiles-%version-key-documentation \
+install -m 0644 nvidia-application-profiles-%version-key-documentation \
     %buildroot/%_datadir/nvidia/nvidia-application-profiles-%version-key-documentation
 
 mkdir -p %buildroot/%_datadir/glvnd/egl_vendor.d/
@@ -317,10 +317,10 @@
 
 %if_enabled kernelsource
 # kernel-source install
-%__rm -rf kernel-source-%module_name-%module_version/
-%__mkdir_p %buildroot/%_usrsrc/kernel/sources/ kernel-source-%module_name-%module_version/
-%__cp -ar kernel/* kernel-source-%module_name-%module_version/
-%__cp LICENSE kernel-source-%module_name-%module_version/
+rm -rf kernel-source-%module_name-%module_version/
+mkdir -p %buildroot/%_usrsrc/kernel/sources/ kernel-source-%module_name-%module_version/
+cp -ar kernel/* kernel-source-%module_name-%module_version/
+cp LICENSE kernel-source-%module_name-%module_version/
 tar -c kernel-source-%module_name-%module_version | bzip2 -c > \
     %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
 %endif
--- a/python-module-pygobject.spec	2024-10-22 02:20:44.345068820 +0300
+++ b/python-module-pygobject.spec	2024-10-22 02:20:44.356068941 +0300
@@ -88,7 +88,7 @@
 %makeinstall_std
 mkdir -p %buildroot%_includedir/python%__python_version
 mv %buildroot%_includedir/pygtk-%gtk_api_ver %buildroot%_includedir/python%__python_version/pygtk
-%__subst "s|\${includedir}/pygtk-%gtk_api_ver|\${includedir}/python%__python_version/pygtk|g" %buildroot/%_pkgconfigdir/*.pc
+sed -i "s|\${includedir}/pygtk-%gtk_api_ver|\${includedir}/python%__python_version/pygtk|g" %buildroot/%_pkgconfigdir/*.pc
 
 %check
 %make check
--- a/python-module-pygtk.spec	2024-10-22 02:20:44.393069348 +0300
+++ b/python-module-pygtk.spec	2024-10-22 02:20:44.404069468 +0300
@@ -107,7 +107,7 @@
 %patch
 %patch1
 
-%__subst "s|@PYTHON@|%_bindir/python2|g" examples/pygtk-demo/pygtk-demo.in
+sed -i "s|@PYTHON@|%_bindir/python2|g" examples/pygtk-demo/pygtk-demo.in
 
 %build
 #NOCONFIGURE=1 gnome-autogen.sh
--- a/sphinx.spec	2024-10-22 02:20:46.868096532 +0300
+++ b/sphinx.spec	2024-10-22 02:20:46.894096818 +0300
@@ -92,7 +92,7 @@
 make
 
 %install
-make install DESTDIR=%buildroot INSTALL="%__install -p -c"
+make install DESTDIR=%buildroot INSTALL="install -p -c"
 
 # Install sphinx initscript
 install -p -D -m 0755 %SOURCE1 %buildroot%_initdir/searchd
@@ -147,7 +147,7 @@
 
 # Install libsphinxclient
 cd api/libsphinxclient/
-make install DESTDIR=%buildroot INSTALL="%__install -p -c"
+make install DESTDIR=%buildroot INSTALL="install -p -c"
 
 %pre
 %_sbindir/groupadd -r -f _sphinx &>/dev/null
--- a/sqlgrey.spec	2024-10-22 02:20:46.946097389 +0300
+++ b/sqlgrey.spec	2024-10-22 02:20:46.975097708 +0300
@@ -39,9 +39,9 @@
 
 %install
 %makeinstall ROOTDIR=%buildroot
-%__install -p -m755 -D %SOURCE1 %buildroot%_initdir/%name
-%__mkdir_p %buildroot%ROOT
-%__mkdir_p %buildroot%_tmpfilesdir
+install -p -m755 -D %SOURCE1 %buildroot%_initdir/%name
+mkdir -p %buildroot%ROOT
+mkdir -p %buildroot%_tmpfilesdir
 
 for i in %buildroot%_sysconfdir/%name/clients_*; do
 	>"%buildroot%_sysconfdir/%name/`basename $i`.local";
--- a/utftpd.spec	2024-10-22 02:20:48.024109230 +0300
+++ b/utftpd.spec	2024-10-22 02:20:48.045109460 +0300
@@ -48,22 +48,22 @@
 %prep
 %setup -q
 
-%__sed -e 's|@@SYSCONFDIR@@|%_sysconfdir|' < %SOURCE4 > %_builddir/%name-%version/AltLinux.readme
+sed -e 's|@@SYSCONFDIR@@|%_sysconfdir|' < %SOURCE4 > %_builddir/%name-%version/AltLinux.readme
 
 %build
 %configure
 %make_build
 
 %install
-%__install -d $RPM_BUILD_ROOT/{%_sysconfdir/xinetd.d,%_localstatedir/tftp}
+install -d $RPM_BUILD_ROOT/{%_sysconfdir/xinetd.d,%_localstatedir/tftp}
 
 %make_install install DESTDIR=$RPM_BUILD_ROOT
 
-%__install -p -m 640 %SOURCE1 $RPM_BUILD_ROOT%_sysconfdir/xinetd.d/utftpd-udp
-%__install -p -m 640 %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/utftpd.conf
+install -p -m 640 %SOURCE1 $RPM_BUILD_ROOT%_sysconfdir/xinetd.d/utftpd-udp
+install -p -m 640 %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/utftpd.conf
 
-%__sed -e 's|@@SYSCONFDIR@@|%_sysconfdir|' < %SOURCE3 > $RPM_BUILD_ROOT%_sbindir/utftpd_makeconfig
-%__chmod 700 $RPM_BUILD_ROOT%_sbindir/utftpd_makeconfig
+sed -e 's|@@SYSCONFDIR@@|%_sysconfdir|' < %SOURCE3 > $RPM_BUILD_ROOT%_sbindir/utftpd_makeconfig
+chmod 700 $RPM_BUILD_ROOT%_sbindir/utftpd_makeconfig
 
 touch $RPM_BUILD_ROOT%_sysconfdir/{utftpd.cdb,utftpd.tmp}
 
--- a/veyon.spec	2024-10-22 02:20:48.089109943 +0300
+++ b/veyon.spec	2024-10-22 02:20:48.101110075 +0300
@@ -126,7 +126,7 @@
 
 %install
 %cmakeinstall_std
-%__install -D -m 0755 %SOURCE100 %buildroot%_datadir/%name/
+install -D -m 0755 %SOURCE100 %buildroot%_datadir/%name/
 
 %files
 %doc COPYING README.md
--- a/vim-plugin-CRefVIM.spec	2024-10-22 02:20:48.145110559 +0300
+++ b/vim-plugin-CRefVIM.spec	2024-10-22 02:20:48.164110767 +0300
@@ -33,8 +33,8 @@
 %setup -q -n crefvim
 
 %install
-%__mkdir_p %buildroot%vim_runtime_dir
-%__cp -a {after,doc,plugin} %buildroot%vim_runtime_dir
+mkdir -p %buildroot%vim_runtime_dir
+cp -a {after,doc,plugin} %buildroot%vim_runtime_dir
 
 %files 
 %defattr(644,root,root)
--- a/vim-plugin-lh_cpp-ftplugin.spec	2024-10-22 02:20:48.438113777 +0300
+++ b/vim-plugin-lh_cpp-ftplugin.spec	2024-10-22 02:20:48.457113985 +0300
@@ -44,17 +44,17 @@
 %prep
 %setup -q -n lh-cpp
 %patch -p1
-%__subst 's,\r,,' syntax/doxygen.vim
+sed -i 's,\r,,' syntax/doxygen.vim
 
 %build
-%__rm -f ftplugin/c/doc/tags
-%__mv ftplugin/c/doc/lh-cpp-readme.txt doc/
-%__mv fold/c-fold.vim ftplugin/c_fold.vim
+rm -f ftplugin/c/doc/tags
+mv ftplugin/c/doc/lh-cpp-readme.txt doc/
+mv fold/c-fold.vim ftplugin/c_fold.vim
 
 %install
-%__mkdir_p %buildroot%vim_runtime_dir
-%__cp -a {after,doc,ftplugin,plugin,syntax} %buildroot%vim_runtime_dir
-%__rm -rf %buildroot%vim_runtime_dir/{after/template/lie-dans.sh,ftplugin/c/doc}
+mkdir -p %buildroot%vim_runtime_dir
+cp -a {after,doc,ftplugin,plugin,syntax} %buildroot%vim_runtime_dir
+rm -rf %buildroot%vim_runtime_dir/{after/template/lie-dans.sh,ftplugin/c/doc}
 
 %files
 %doc changelog-cpp after/template/lie-dans.sh ftplugin/c/doc/c.html
--- a/vim-plugin-matchit.spec	2024-10-22 02:20:48.500114458 +0300
+++ b/vim-plugin-matchit.spec	2024-10-22 02:20:48.518114655 +0300
@@ -38,7 +38,7 @@
 
 %prep
 %setup -T -c
-%__unzip -Lqa %SOURCE0
+unzip -Lqa %SOURCE0
 %patch -p1
 
 %install
--- a/vim-plugin-project.spec	2024-10-22 02:20:48.578115315 +0300
+++ b/vim-plugin-project.spec	2024-10-22 02:20:48.606115622 +0300
@@ -33,8 +33,8 @@
 %setup -c
 
 %install
-%__mkdir_p %buildroot%vim_runtime_dir
-%__cp -a {doc,plugin} %buildroot%vim_runtime_dir
+mkdir -p %buildroot%vim_runtime_dir
+cp -a {doc,plugin} %buildroot%vim_runtime_dir
 
 %files
 %vim_doc_dir/*
--- a/vim-plugin-rails.spec	2024-10-22 02:20:48.653116138 +0300
+++ b/vim-plugin-rails.spec	2024-10-22 02:20:48.679116424 +0300
@@ -40,8 +40,8 @@
 %setup
 
 %install
-%__mkdir_p %buildroot%vim_runtime_dir
-%__cp -rvp {autoload,doc,plugin} %buildroot%vim_runtime_dir
+mkdir -p %buildroot%vim_runtime_dir
+cp -rvp {autoload,doc,plugin} %buildroot%vim_runtime_dir
 
 %files
 %vim_autoload_dir/*
--- a/vim-plugin-std_c-syntax.spec	2024-10-22 02:20:48.729116973 +0300
+++ b/vim-plugin-std_c-syntax.spec	2024-10-22 02:20:48.749117193 +0300
@@ -41,13 +41,13 @@
 
 %prep
 %setup -T -c
-%__unzip -Lqa %SOURCE0
+unzip -Lqa %SOURCE0
 %patch -p1
 
 %install
-%__mkdir_p %buildroot{%vim_syntax_dir,%vim_doc_dir}
-%__install -m644 doc/std_c.txt %buildroot%vim_doc_dir
-%__install -m644 syntax/c.vim %buildroot%vim_syntax_dir
+mkdir -p %buildroot{%vim_syntax_dir,%vim_doc_dir}
+install -m644 doc/std_c.txt %buildroot%vim_doc_dir
+install -m644 syntax/c.vim %buildroot%vim_syntax_dir
 
 %files
 %doc %vim_doc_dir/std_c.txt
--- a/vim-plugin-vtreeexplorer.spec	2024-10-22 02:20:48.793117676 +0300
+++ b/vim-plugin-vtreeexplorer.spec	2024-10-22 02:20:48.811117874 +0300
@@ -37,9 +37,9 @@
 %patch -p1
 
 %install
-%__mkdir_p %buildroot{%vim_plugin_dir,%vim_doc_dir}
-%__install -m644 doc/%plugname.txt %buildroot%vim_doc_dir
-%__install -m644 plugin/%plugname.vim %buildroot%vim_plugin_dir
+mkdir -p %buildroot{%vim_plugin_dir,%vim_doc_dir}
+install -m644 doc/%plugname.txt %buildroot%vim_doc_dir
+install -m644 plugin/%plugname.vim %buildroot%vim_plugin_dir
 
 %files
 %doc %vim_doc_dir/%plugname.txt
--- a/vim-plugin-xmledit-ftplugin.spec	2024-10-22 02:20:48.859118401 +0300
+++ b/vim-plugin-xmledit-ftplugin.spec	2024-10-22 02:20:48.880118632 +0300
@@ -39,11 +39,11 @@
 
 %prep
 %setup -q -c -T
-%__mkdir_p {ftplugin,doc}
-%__cp -p %_sourcedir/xml.vim ftplugin/
+mkdir -p {ftplugin,doc}
+cp -p %_sourcedir/xml.vim ftplugin/
 
 %build
-%__cat <<EOS | /usr/bin/vim -E -s -X -N -n -i NONE -u NONE -U NONE
+cat <<EOS | /usr/bin/vim -E -s -X -N -n -i NONE -u NONE -U NONE
 let use_xmledit_ftplugin = 1
 edit ftplugin/xml.vim
 normal zRgg
@@ -56,11 +56,11 @@
 # "
 
 %install
-%__mkdir_p %buildroot%vim_doc_dir
-%__mkdir_p %buildroot%vim_ftplugin_dir
+mkdir -p %buildroot%vim_doc_dir
+mkdir -p %buildroot%vim_ftplugin_dir
 
-%__install -m644 ftplugin/xml.vim %buildroot%vim_ftplugin_dir
-%__install -m644 doc/xml-plugin.txt %buildroot%vim_doc_dir
+install -m644 ftplugin/xml.vim %buildroot%vim_ftplugin_dir
+install -m644 doc/xml-plugin.txt %buildroot%vim_doc_dir
 
 %files
 %doc %vim_doc_dir/xml-plugin.txt
